import type { UnwrapNestedRefs, InjectionKey } from 'vue';
interface CreateContextOptions {
    readonly?: boolean;
    reactivity?: boolean;
}
/**
 * 创建context provide
 * @param context 对象
 * @param key symbol
 * @param options CreateContextOptions
 * @returns
 */
export declare function createContext<T extends object>(context: T, key: InjectionKey<T>, options?: CreateContextOptions): {
    reactiveContext: UnwrapNestedRefs<T>;
};
/**
 * inject获取context
 * @param key symbol
 * @param defaultVal 默认值，对象
 * @returns
 */
export declare function useContext<T>(key: InjectionKey<T>, defaultVal?: any): T;
export {};
