import type { Ref } from 'vue';
import type { Recordable } from '../typings/global';
export declare const defaultChangeEvent = "change";
interface Options<T extends Recordable = Recordable> {
    props: T;
    key?: keyof T;
    changeEvent?: string;
    emitData?: Ref<any[]>;
}
/**
 * 表单字段改变统一处理
 * @param props 属性对象
 * @param key 字段名
 * @param changeEvent emit发送事件
 * @param emitData 附带数据
 */
export declare function useFormItem({ props, key, changeEvent, emitData, }: Options): any[];
export declare namespace useFormItem {
    var DEFAULT_CHANGE_EVENT: string;
}
export {};
