import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, Ref, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import type { ButtonProps, SearchSolution } from '../types/form';
import type { ColEx } from '../types';
declare const _default: DefineComponent<{
    showActionButtonGroup: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    showResetButton: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    showSubmitButton: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    resetButtonOptions: VueTypeValidableDef<Partial<ButtonProps>> & {
        default: () => Partial<ButtonProps>;
    };
    submitButtonOptions: VueTypeValidableDef<Partial<ButtonProps>> & {
        default: () => Partial<ButtonProps>;
    };
    actionColOptions: VueTypeValidableDef<Partial<ColEx>> & {
        default: () => Partial<ColEx>;
    };
    actionSpan: VueTypeValidableDef<number> & {
        default: number;
    };
    loading: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    showSearchSolution: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    searchSolutionProps: VueTypeValidableDef<SearchSolution> & {
        default: () => SearchSolution;
    };
    showAdvanced: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    isAdvanced: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
}, {
    searchIcon: string;
    resetIcon: string;
    toggleAdvanced: () => void;
    resetAction: () => Promise<void>;
    submitAction: () => Promise<void>;
    getFieldsValue: () => Recordable<any>;
    setFieldsValue: (values: Recordable<any>) => Promise<void>;
    formModel: Recordable<any>;
    defaultValueRef: Ref<Recordable<any>>;
    t: (key: string, ...args: any[]) => any;
    getActionColBinds: ComputedRef<Partial<ColEx>>;
    getResetBtnBinds: ComputedRef<{
        text: string;
    } & Partial<ButtonProps>>;
    getSubmitBtnBinds: ComputedRef<{
        text: string;
    } & Partial<ButtonProps>>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "toggle-advanced"[], "toggle-advanced", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    showActionButtonGroup?: unknown;
    showResetButton?: unknown;
    showSubmitButton?: unknown;
    resetButtonOptions?: unknown;
    submitButtonOptions?: unknown;
    actionColOptions?: unknown;
    actionSpan?: unknown;
    loading?: unknown;
    showSearchSolution?: unknown;
    searchSolutionProps?: unknown;
    showAdvanced?: unknown;
    isAdvanced?: unknown;
} & {
    loading: boolean;
    isAdvanced: boolean;
    showActionButtonGroup: boolean;
    showResetButton: boolean;
    showSubmitButton: boolean;
    resetButtonOptions: Partial<ButtonProps>;
    submitButtonOptions: Partial<ButtonProps>;
    actionColOptions: Partial<ColEx>;
    actionSpan: number;
    showSearchSolution: boolean;
    searchSolutionProps: SearchSolution;
    showAdvanced: boolean;
} & {}> & {
    "onToggle-advanced"?: ((...args: any[]) => any) | undefined;
}, {
    loading: boolean;
    isAdvanced: boolean;
    showActionButtonGroup: boolean;
    showResetButton: boolean;
    showSubmitButton: boolean;
    resetButtonOptions: Partial<ButtonProps>;
    submitButtonOptions: Partial<ButtonProps>;
    actionColOptions: Partial<ColEx>;
    actionSpan: number;
    showSearchSolution: boolean;
    searchSolutionProps: SearchSolution;
    showAdvanced: boolean;
}>;
export default _default;
