import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComputedRef, Ref, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import type { ButtonProps, SearchSolutionItem } from '../types/form';
declare const _default: DefineComponent<{
    collectionName: VueTypeValidableDef<string> & {
        default: string;
    };
    switchButtonProps: VueTypeValidableDef<Partial<ButtonProps>> & {
        default: () => Partial<ButtonProps>;
    };
    saveButtonProps: VueTypeValidableDef<Partial<ButtonProps>> & {
        default: () => Partial<ButtonProps>;
    };
    api: VueTypeValidableDef<(...args: any[]) => Promise<any>>;
    delApi: VueTypeValidableDef<(...args: any[]) => Promise<any>>;
    saveApi: VueTypeValidableDef<(...args: any[]) => Promise<any>>;
    params: VueTypeValidableDef<Recordable<any>> & {
        default: () => Recordable<any>;
    };
    resultField: VueTypeValidableDef<string> & {
        default: string;
    };
    fieldNames: VueTypeValidableDef<SearchSolutionItem> & {
        default: () => SearchSolutionItem;
    };
}, {
    solutionListComputed: ComputedRef<{
        id: any;
        label: any;
        value: any;
        text: string;
        event: string;
    }[]>;
    selectedKeys: Ref<string[]>;
    handleMenuEvent: (item: SearchSolutionItem) => void;
    selectedText: Ref<string>;
    getSolutionSwitchBtnBinds: ComputedRef<{
        text: string;
    } & Partial<ButtonProps>>;
    getSolutionSaveBtnBinds: ComputedRef<{
        text: string;
    } & Partial<ButtonProps>>;
    dialogVisible: Ref<boolean>;
    handleSolutionSave: () => void;
    handleSolutionClear: () => void;
    handleOk: (solutionName: string) => Promise<void>;
    handleSolutionDelete: (id: number | string, name: string) => Promise<void>;
    handleVisibleChange: (visible: boolean, id: string | number) => void;
    popconfirmVisibleSet: Ref<{}>;
    confirmLoading: Ref<boolean>;
    t: (key: string, ...args: any[]) => any;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    collectionName?: unknown;
    switchButtonProps?: unknown;
    saveButtonProps?: unknown;
    api?: unknown;
    delApi?: unknown;
    saveApi?: unknown;
    params?: unknown;
    resultField?: unknown;
    fieldNames?: unknown;
} & {
    fieldNames: SearchSolutionItem;
    resultField: string;
    params: Recordable<any>;
    collectionName: string;
    switchButtonProps: Partial<ButtonProps>;
    saveButtonProps: Partial<ButtonProps>;
} & {
    api?: ((...args: any[]) => Promise<any>) | undefined;
    delApi?: ((...args: any[]) => Promise<any>) | undefined;
    saveApi?: ((...args: any[]) => Promise<any>) | undefined;
}>, {
    fieldNames: SearchSolutionItem;
    resultField: string;
    params: Recordable<any>;
    collectionName: string;
    switchButtonProps: Partial<ButtonProps>;
    saveButtonProps: Partial<ButtonProps>;
}>;
export default _default;
