import type { Recordable } from '../../typings/global';
import type { ColSize } from 'ant-design-vue/lib/grid';
import type { ComputedRef, HTMLAttributes, CSSProperties, StyleValue, Ref } from 'vue';
import type { FormProps, FormScheme } from '../types/form';
export declare function useItemLabelWidth(schemeRef: Ref<FormScheme>, formPropsRef: Ref<FormProps>): ComputedRef<{
    labelCol: Partial<{
        span?: unknown;
        order?: unknown;
        offset?: unknown;
        push?: unknown;
        pull?: unknown;
        xs?: unknown;
        sm?: unknown;
        md?: unknown;
        lg?: unknown;
        xl?: unknown;
        xxl?: unknown;
        xxxl?: unknown;
        prefixCls?: unknown;
        flex?: unknown;
    } & {
        xxxl: string | number | ColSize;
        xxl: string | number | ColSize;
        xl: string | number | ColSize;
        lg: string | number | ColSize;
        md: string | number | ColSize;
        sm: string | number | ColSize;
        xs: string | number | ColSize;
    } & {
        prefixCls?: string | undefined;
        push?: string | number | undefined;
        span?: string | number | undefined;
        order?: string | number | undefined;
        offset?: string | number | undefined;
        pull?: string | number | undefined;
        flex?: string | number | undefined;
    }> & HTMLAttributes;
    wrapperCol: Partial<{
        span?: unknown;
        order?: unknown;
        offset?: unknown;
        push?: unknown;
        pull?: unknown;
        xs?: unknown;
        sm?: unknown;
        md?: unknown;
        lg?: unknown;
        xl?: unknown;
        xxl?: unknown;
        xxxl?: unknown;
        prefixCls?: unknown;
        flex?: unknown;
    } & {
        xxxl: string | number | ColSize;
        xxl: string | number | ColSize;
        xl: string | number | ColSize;
        lg: string | number | ColSize;
        md: string | number | ColSize;
        sm: string | number | ColSize;
        xs: string | number | ColSize;
    } & {
        prefixCls?: string | undefined;
        push?: string | number | undefined;
        span?: string | number | undefined;
        order?: string | number | undefined;
        offset?: string | number | undefined;
        pull?: string | number | undefined;
        flex?: string | number | undefined;
    }>;
} | {
    labelCol: {
        span?: string | number | undefined;
        order?: string | number | undefined;
        offset?: string | number | undefined;
        push?: string | number | undefined;
        pull?: string | number | undefined;
        xs?: string | number | object | ColSize | undefined;
        sm?: string | number | object | ColSize | undefined;
        md?: string | number | object | ColSize | undefined;
        lg?: string | number | object | ColSize | undefined;
        xl?: string | number | object | ColSize | undefined;
        xxl?: string | number | object | ColSize | undefined;
        xxxl?: string | number | object | ColSize | undefined;
        prefixCls?: string | undefined;
        flex?: string | number | undefined;
        innerHTML?: string | undefined;
        class?: any;
        style: string | CSSProperties | Recordable<any> | StyleValue[] | {
            width: string | number | undefined;
        };
        accesskey?: string | undefined;
        contenteditable?: "inherit" | (boolean | "false" | "true") | undefined;
        contextmenu?: string | undefined;
        dir?: string | undefined;
        draggable?: (boolean | "false" | "true") | undefined;
        hidden?: (boolean | "false" | "true") | undefined;
        id?: string | undefined;
        lang?: string | undefined;
        placeholder?: string | undefined;
        spellcheck?: (boolean | "false" | "true") | undefined;
        tabindex?: (string | number) | undefined;
        title?: string | undefined;
        translate?: "yes" | "no" | undefined;
        radiogroup?: string | undefined;
        role?: string | undefined;
        about?: string | undefined;
        datatype?: string | undefined;
        inlist?: any;
        prefix?: string | undefined;
        property?: string | undefined;
        resource?: string | undefined;
        typeof?: string | undefined;
        vocab?: string | undefined;
        autocapitalize?: string | undefined;
        autocorrect?: string | undefined;
        autocave?: string | undefined;
        color?: string | undefined;
        itemprop?: string | undefined;
        itemscope?: (boolean | "false" | "true") | undefined;
        itemtype?: string | undefined;
        itemid?: string | undefined;
        itemref?: string | undefined;
        results?: (string | number) | undefined;
        security?: string | undefined;
        unselectable?: "on" | "off" | undefined;
        inputmode?: "search" | "text" | "tel" | "url" | "email" | "none" | "numeric" | "decimal" | undefined;
        is?: string | undefined;
        'aria-activedescendant'?: string | undefined;
        'aria-atomic'?: (boolean | "false" | "true") | undefined;
        'aria-autocomplete'?: "list" | "none" | "inline" | "both" | undefined;
        'aria-busy'?: (boolean | "false" | "true") | undefined;
        'aria-checked'?: "mixed" | (boolean | "false" | "true") | undefined;
        'aria-colcount'?: (string | number) | undefined;
        'aria-colindex'?: (string | number) | undefined;
        'aria-colspan'?: (string | number) | undefined;
        'aria-controls'?: string | undefined;
        'aria-current'?: "time" | "location" | "date" | "step" | "page" | (boolean | "false" | "true") | undefined;
        'aria-describedby'?: string | undefined;
        'aria-details'?: string | undefined;
        'aria-disabled'?: (boolean | "false" | "true") | undefined;
        'aria-dropeffect'?: "link" | "copy" | "move" | "none" | "execute" | "popup" | undefined;
        'aria-errormessage'?: string | undefined;
        'aria-expanded'?: (boolean | "false" | "true") | undefined;
        'aria-flowto'?: string | undefined;
        'aria-grabbed'?: (boolean | "false" | "true") | undefined;
        'aria-haspopup'?: "dialog" | "menu" | "listbox" | "grid" | (boolean | "false" | "true") | "tree" | undefined;
        'aria-hidden'?: (boolean | "false" | "true") | undefined;
        'aria-invalid'?: (boolean | "false" | "true") | "grammar" | "spelling" | undefined;
        'aria-keyshortcuts'?: string | undefined;
        'aria-label'?: string | undefined;
        'aria-labelledby'?: string | undefined;
        'aria-level'?: (string | number) | undefined;
        'aria-live'?: "off" | "assertive" | "polite" | undefined;
        'aria-modal'?: (boolean | "false" | "true") | undefined;
        'aria-multiline'?: (boolean | "false" | "true") | undefined;
        'aria-multiselectable'?: (boolean | "false" | "true") | undefined;
        'aria-orientation'?: "horizontal" | "vertical" | undefined;
        'aria-owns'?: string | undefined;
        'aria-placeholder'?: string | undefined;
        'aria-posinset'?: (string | number) | undefined;
        'aria-pressed'?: "mixed" | (boolean | "false" | "true") | undefined;
        'aria-readonly'?: (boolean | "false" | "true") | undefined;
        'aria-relevant'?: "text" | "all" | "additions" | "additions text" | "removals" | undefined;
        'aria-required'?: (boolean | "false" | "true") | undefined;
        'aria-roledescription'?: string | undefined;
        'aria-rowcount'?: (string | number) | undefined;
        'aria-rowindex'?: (string | number) | undefined;
        'aria-rowspan'?: (string | number) | undefined;
        'aria-selected'?: (boolean | "false" | "true") | undefined;
        'aria-setsize'?: (string | number) | undefined;
        'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
        'aria-valuemax'?: (string | number) | undefined;
        'aria-valuemin'?: (string | number) | undefined;
        'aria-valuenow'?: (string | number) | undefined;
        'aria-valuetext'?: string | undefined;
        onCopy?: ((payload: ClipboardEvent) => void) | undefined;
        onCut?: ((payload: ClipboardEvent) => void) | undefined;
        onPaste?: ((payload: ClipboardEvent) => void) | undefined;
        onCompositionend?: ((payload: CompositionEvent) => void) | undefined;
        onCompositionstart?: ((payload: CompositionEvent) => void) | undefined;
        onCompositionupdate?: ((payload: CompositionEvent) => void) | undefined;
        onDrag?: ((payload: DragEvent) => void) | undefined;
        onDragend?: ((payload: DragEvent) => void) | undefined;
        onDragenter?: ((payload: DragEvent) => void) | undefined;
        onDragexit?: ((payload: DragEvent) => void) | undefined;
        onDragleave?: ((payload: DragEvent) => void) | undefined;
        onDragover?: ((payload: DragEvent) => void) | undefined;
        onDragstart?: ((payload: DragEvent) => void) | undefined;
        onDrop?: ((payload: DragEvent) => void) | undefined;
        onFocus?: ((payload: FocusEvent) => void) | undefined;
        onFocusin?: ((payload: FocusEvent) => void) | undefined;
        onFocusout?: ((payload: FocusEvent) => void) | undefined;
        onBlur?: ((payload: FocusEvent) => void) | undefined;
        onChange?: ((payload: Event) => void) | undefined;
        onBeforeinput?: ((payload: Event) => void) | undefined;
        onInput?: ((payload: Event) => void) | undefined;
        onReset?: ((payload: Event) => void) | undefined;
        onSubmit?: ((payload: Event) => void) | undefined;
        onInvalid?: ((payload: Event) => void) | undefined;
        onLoad?: ((payload: Event) => void) | undefined;
        onError?: ((payload: Event) => void) | undefined;
        onKeydown?: ((payload: KeyboardEvent) => void) | undefined;
        onKeypress?: ((payload: KeyboardEvent) => void) | undefined;
        onKeyup?: ((payload: KeyboardEvent) => void) | undefined;
        onAuxclick?: ((payload: MouseEvent) => void) | undefined;
        onClick?: ((payload: MouseEvent) => void) | undefined;
        onContextmenu?: ((payload: MouseEvent) => void) | undefined;
        onDblclick?: ((payload: MouseEvent) => void) | undefined;
        onMousedown?: ((payload: MouseEvent) => void) | undefined;
        onMouseenter?: ((payload: MouseEvent) => void) | undefined;
        onMouseleave?: ((payload: MouseEvent) => void) | undefined;
        onMousemove?: ((payload: MouseEvent) => void) | undefined;
        onMouseout?: ((payload: MouseEvent) => void) | undefined;
        onMouseover?: ((payload: MouseEvent) => void) | undefined;
        onMouseup?: ((payload: MouseEvent) => void) | undefined;
        onAbort?: ((payload: Event) => void) | undefined;
        onCanplay?: ((payload: Event) => void) | undefined;
        onCanplaythrough?: ((payload: Event) => void) | undefined;
        onDurationchange?: ((payload: Event) => void) | undefined;
        onEmptied?: ((payload: Event) => void) | undefined;
        onEncrypted?: ((payload: Event) => void) | undefined;
        onEnded?: ((payload: Event) => void) | undefined;
        onLoadeddata?: ((payload: Event) => void) | undefined;
        onLoadedmetadata?: ((payload: Event) => void) | undefined;
        onLoadstart?: ((payload: Event) => void) | undefined;
        onPause?: ((payload: Event) => void) | undefined;
        onPlay?: ((payload: Event) => void) | undefined;
        onPlaying?: ((payload: Event) => void) | undefined;
        onProgress?: ((payload: Event) => void) | undefined;
        onRatechange?: ((payload: Event) => void) | undefined;
        onSeeked?: ((payload: Event) => void) | undefined;
        onSeeking?: ((payload: Event) => void) | undefined;
        onStalled?: ((payload: Event) => void) | undefined;
        onSuspend?: ((payload: Event) => void) | undefined;
        onTimeupdate?: ((payload: Event) => void) | undefined;
        onVolumechange?: ((payload: Event) => void) | undefined;
        onWaiting?: ((payload: Event) => void) | undefined;
        onSelect?: ((payload: Event) => void) | undefined;
        onScroll?: ((payload: UIEvent) => void) | undefined;
        onTouchcancel?: ((payload: TouchEvent) => void) | undefined;
        onTouchend?: ((payload: TouchEvent) => void) | undefined;
        onTouchmove?: ((payload: TouchEvent) => void) | undefined;
        onTouchstart?: ((payload: TouchEvent) => void) | undefined;
        onPointerdown?: ((payload: PointerEvent) => void) | undefined;
        onPointermove?: ((payload: PointerEvent) => void) | undefined;
        onPointerup?: ((payload: PointerEvent) => void) | undefined;
        onPointercancel?: ((payload: PointerEvent) => void) | undefined;
        onPointerenter?: ((payload: PointerEvent) => void) | undefined;
        onPointerleave?: ((payload: PointerEvent) => void) | undefined;
        onPointerover?: ((payload: PointerEvent) => void) | undefined;
        onPointerout?: ((payload: PointerEvent) => void) | undefined;
        onWheel?: ((payload: WheelEvent) => void) | undefined;
        onAnimationstart?: ((payload: AnimationEvent) => void) | undefined;
        onAnimationend?: ((payload: AnimationEvent) => void) | undefined;
        onAnimationiteration?: ((payload: AnimationEvent) => void) | undefined;
        onTransitionend?: ((payload: TransitionEvent) => void) | undefined;
        onTransitionstart?: ((payload: TransitionEvent) => void) | undefined;
    };
    wrapperCol: {
        span?: string | number | undefined;
        order?: string | number | undefined;
        offset?: string | number | undefined;
        push?: string | number | undefined;
        pull?: string | number | undefined;
        xs?: string | number | object | ColSize | undefined;
        sm?: string | number | object | ColSize | undefined;
        md?: string | number | object | ColSize | undefined;
        lg?: string | number | object | ColSize | undefined;
        xl?: string | number | object | ColSize | undefined;
        xxl?: string | number | object | ColSize | undefined;
        xxxl?: string | number | object | ColSize | undefined;
        prefixCls?: string | undefined;
        flex?: string | number | undefined;
        style: Recordable<any> | {
            width: string;
        };
    };
}>;
