import type { Plugin } from '@vue/runtime-core';
import type { NamePath } from 'ant-design-vue/lib/form/interface';
import type { Gutter } from 'ant-design-vue/lib/grid/Row';
import type { Gutter } from 'ant-design-vue/es/grid/Row';
import type { TableActionType } from '../table';
import type { ColEx } from './types';
import type { SearchSolution, FieldMapToTime, FieldMapToRangeValue, FormScheme, ButtonProps, FormProps, FormActionType } from './types/form';
import type { Recordable } from '../typings/global';
import type { ComponentInternalInstance, CSSProperties, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, ComputedRef, Ref, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
export * from './types/form';
export * from './types/formItem';
export { useComponentRegister } from './composables/useComponentRegister';
export { useForm } from './composables/useForm';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            size: any;
            layout: "horizontal" | "vertical" | "inline";
            colon: boolean;
            validateTrigger: string;
            labelAlign: "left" | "right";
            hideRequiredMark: boolean;
            model: Recordable<any>;
            showActionButtonGroup: boolean;
            showResetButton: boolean;
            showSubmitButton: boolean;
            showSearchSolution: boolean;
            searchSolutionProps: SearchSolution;
            showAdvanced: boolean;
            labelWith: string | number;
            fieldMapToTime: FieldMapToTime;
            fieldMapToRangeValue: FieldMapToRangeValue;
            schemes: FormScheme[];
            mergeDynamicData: Recordable<any>;
            autoSetPlaceHolder: boolean;
            autoSubmitOnEnter: boolean;
            rulesMessageJoinLabel: boolean;
            transformDateFunc: (date: any) => string;
            autoAdvancedLines: number;
            simple: boolean;
            defaultExpandedAdvanced: boolean;
        }> & Omit<Readonly<{
            model?: unknown;
            hideRequiredMark?: unknown;
            labelCol?: unknown;
            layout?: unknown;
            wrapperCol?: unknown;
            colon?: unknown;
            labelAlign?: unknown;
            rowProps?: unknown;
            labelWith?: unknown;
            fieldMapToTime?: unknown;
            fieldMapToRangeValue?: unknown;
            schemes?: unknown;
            mergeDynamicData?: unknown;
            baseRowStyle?: unknown;
            baseColProps?: unknown;
            autoSetPlaceHolder?: unknown;
            autoSubmitOnEnter?: unknown;
            submitOnReset?: unknown;
            size?: unknown;
            disabled?: unknown;
            rulesMessageJoinLabel?: unknown;
            showActionButtonGroup?: unknown;
            actionColOptions?: unknown;
            showResetButton?: unknown;
            autoFocusFirstItem?: unknown;
            resetButtonOptions?: unknown;
            showSubmitButton?: unknown;
            submitButtonOptions?: unknown;
            resetFunc?: unknown;
            submitFunc?: unknown;
            tableAction?: unknown;
            transformDateFunc?: unknown;
            validateTrigger?: unknown;
            showSearchSolution?: unknown;
            searchSolutionProps?: unknown;
            showAdvanced?: unknown;
            autoAdvancedLines?: unknown;
            t?: unknown;
            simple?: unknown;
            defaultExpandedAdvanced?: unknown;
        } & {
            layout: "horizontal" | "vertical" | "inline";
            colon: boolean;
            validateTrigger: string;
            labelAlign: "left" | "right";
            hideRequiredMark: boolean;
            model: Recordable<any>;
            showActionButtonGroup: boolean;
            showResetButton: boolean;
            showSubmitButton: boolean;
            showSearchSolution: boolean;
            searchSolutionProps: SearchSolution;
            showAdvanced: boolean;
            labelWith: string | number;
            fieldMapToTime: FieldMapToTime;
            fieldMapToRangeValue: FieldMapToRangeValue;
            schemes: FormScheme[];
            mergeDynamicData: Recordable<any>;
            autoSetPlaceHolder: boolean;
            autoSubmitOnEnter: boolean;
            rulesMessageJoinLabel: boolean;
            transformDateFunc: (date: any) => string;
            autoAdvancedLines: number;
            simple: boolean;
            defaultExpandedAdvanced: boolean;
        } & {
            size?: any;
            disabled?: boolean | undefined;
            labelCol?: ColEx | undefined;
            wrapperCol?: ColEx | undefined;
            tableAction?: TableActionType | undefined;
            t?: ((key: string, ...args: any[]) => any) | undefined;
            resetButtonOptions?: Partial<ButtonProps> | undefined;
            submitButtonOptions?: Partial<ButtonProps> | undefined;
            actionColOptions?: Partial<ColEx> | undefined;
            rowProps?: Partial<{
                align?: unknown;
                justify?: unknown;
                prefixCls?: unknown;
                gutter?: unknown;
                wrap?: unknown;
            } & {
                gutter: Gutter | [Gutter, Gutter];
            } & {
                prefixCls?: string | undefined;
                align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                wrap?: boolean | undefined;
            }> | undefined;
            baseRowStyle?: CSSProperties | undefined;
            baseColProps?: ColEx | undefined;
            submitOnReset?: boolean | undefined;
            autoFocusFirstItem?: boolean | undefined;
            resetFunc?: (() => Promise<void>) | undefined;
            submitFunc?: (() => Promise<void>) | undefined;
        }> & VNodeProps & AllowedComponentProps & ComponentCustomProps, "size" | "layout" | "colon" | "validateTrigger" | "labelAlign" | "hideRequiredMark" | "model" | "showActionButtonGroup" | "showResetButton" | "showSubmitButton" | "showSearchSolution" | "searchSolutionProps" | "showAdvanced" | "labelWith" | "fieldMapToTime" | "fieldMapToRangeValue" | "schemes" | "mergeDynamicData" | "autoSetPlaceHolder" | "autoSubmitOnEnter" | "rulesMessageJoinLabel" | "transformDateFunc" | "autoAdvancedLines" | "simple" | "defaultExpandedAdvanced">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            model?: unknown;
            hideRequiredMark?: unknown;
            labelCol?: unknown;
            layout?: unknown;
            wrapperCol?: unknown;
            colon?: unknown;
            labelAlign?: unknown;
            rowProps?: unknown;
            labelWith?: unknown;
            fieldMapToTime?: unknown;
            fieldMapToRangeValue?: unknown;
            schemes?: unknown;
            mergeDynamicData?: unknown;
            baseRowStyle?: unknown;
            baseColProps?: unknown;
            autoSetPlaceHolder?: unknown;
            autoSubmitOnEnter?: unknown;
            submitOnReset?: unknown;
            size?: unknown;
            disabled?: unknown;
            rulesMessageJoinLabel?: unknown;
            showActionButtonGroup?: unknown;
            actionColOptions?: unknown;
            showResetButton?: unknown;
            autoFocusFirstItem?: unknown;
            resetButtonOptions?: unknown;
            showSubmitButton?: unknown;
            submitButtonOptions?: unknown;
            resetFunc?: unknown;
            submitFunc?: unknown;
            tableAction?: unknown;
            transformDateFunc?: unknown;
            validateTrigger?: unknown;
            showSearchSolution?: unknown;
            searchSolutionProps?: unknown;
            showAdvanced?: unknown;
            autoAdvancedLines?: unknown;
            t?: unknown;
            simple?: unknown;
            defaultExpandedAdvanced?: unknown;
        } & {
            layout: "horizontal" | "vertical" | "inline";
            colon: boolean;
            validateTrigger: string;
            labelAlign: "left" | "right";
            hideRequiredMark: boolean;
            model: Recordable<any>;
            showActionButtonGroup: boolean;
            showResetButton: boolean;
            showSubmitButton: boolean;
            showSearchSolution: boolean;
            searchSolutionProps: SearchSolution;
            showAdvanced: boolean;
            labelWith: string | number;
            fieldMapToTime: FieldMapToTime;
            fieldMapToRangeValue: FieldMapToRangeValue;
            schemes: FormScheme[];
            mergeDynamicData: Recordable<any>;
            autoSetPlaceHolder: boolean;
            autoSubmitOnEnter: boolean;
            rulesMessageJoinLabel: boolean;
            transformDateFunc: (date: any) => string;
            autoAdvancedLines: number;
            simple: boolean;
            defaultExpandedAdvanced: boolean;
        } & {
            size?: any;
            disabled?: boolean | undefined;
            labelCol?: ColEx | undefined;
            wrapperCol?: ColEx | undefined;
            tableAction?: TableActionType | undefined;
            t?: ((key: string, ...args: any[]) => any) | undefined;
            resetButtonOptions?: Partial<ButtonProps> | undefined;
            submitButtonOptions?: Partial<ButtonProps> | undefined;
            actionColOptions?: Partial<ColEx> | undefined;
            rowProps?: Partial<{
                align?: unknown;
                justify?: unknown;
                prefixCls?: unknown;
                gutter?: unknown;
                wrap?: unknown;
            } & {
                gutter: Gutter | [Gutter, Gutter];
            } & {
                prefixCls?: string | undefined;
                align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                wrap?: boolean | undefined;
            }> | undefined;
            baseRowStyle?: CSSProperties | undefined;
            baseColProps?: ColEx | undefined;
            submitOnReset?: boolean | undefined;
            autoFocusFirstItem?: boolean | undefined;
            resetFunc?: (() => Promise<void>) | undefined;
            submitFunc?: (() => Promise<void>) | undefined;
        }>, {
            getFormActionsProps: ComputedRef<{
                isAdvanced: boolean;
                layout?: "horizontal" | "vertical" | "inline" | undefined;
                model?: Recordable<any> | undefined;
                labelWidth?: string | number | undefined;
                labelAlign?: "left" | "right" | undefined;
                rowProps?: Partial<{
                    align?: unknown;
                    justify?: unknown;
                    prefixCls?: unknown;
                    gutter?: unknown;
                    wrap?: unknown;
                } & {
                    gutter: Gutter | [Gutter, Gutter];
                } & {
                    prefixCls?: string | undefined;
                    align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                    justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                    wrap?: boolean | undefined;
                }> | undefined;
                submitOnReset?: boolean | undefined;
                labelCol?: Partial<ColEx> | undefined;
                wrapperCol?: Partial<ColEx> | undefined;
                baseRowStyle?: CSSProperties | undefined;
                baseColProps?: Partial<ColEx> | undefined;
                schemes?: FormScheme[] | undefined;
                fieldMapToTime?: FieldMapToTime | undefined;
                fieldMapToRangeValue?: FieldMapToRangeValue | undefined;
                transformDateFunc?: ((date: any) => string) | undefined;
                mergeDynamicData?: Recordable<any> | undefined;
                size?: "small" | "middle" | "large" | undefined;
                disabled?: boolean | undefined;
                autoSetPlaceHolder?: boolean | undefined;
                autoSubmitOnEnter?: boolean | undefined;
                rulesMessageJoinLabel?: boolean | undefined;
                autoFocusFirstItem?: boolean | undefined;
                showActionButtonGroup?: boolean | undefined;
                resetButtonOptions?: Partial<ButtonProps> | undefined;
                submitButtonOptions?: Partial<ButtonProps> | undefined;
                actionColOptions?: Partial<ColEx> | undefined;
                showResetButton?: boolean | undefined;
                showSubmitButton?: boolean | undefined;
                resetFunc?: (() => Promise<void>) | undefined;
                submitFunc?: (() => Promise<void>) | undefined;
                colon?: boolean | undefined;
                showSearchSolution?: boolean | undefined;
                searchSolutionProps?: SearchSolution | undefined;
                showAdvanced?: boolean | undefined;
                advancedButtonProps?: Partial<ButtonProps> | undefined;
                autoAdvancedLines?: number | undefined;
                t?: ((key: string, ...args: any[]) => any) | undefined;
                simple?: boolean | undefined;
                defaultExpandedAdvanced?: boolean | undefined;
            }>;
            handleToggleAdvanced: () => void;
            isAdvanced: Ref<boolean>;
            submit?: (() => Promise<void>) | undefined;
            setFieldsValue?: (<T>(values: T) => Promise<void>) | undefined;
            resetFields?: (() => Promise<void>) | undefined;
            getFieldsValue?: (() => Recordable<any>) | undefined;
            clearValidate?: ((name?: string | string[] | undefined) => Promise<void>) | undefined;
            updateScheme?: ((data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>) | undefined;
            resetScheme?: ((data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>) | undefined;
            setProps?: ((formProps: Partial<FormProps>) => Promise<void>) | undefined;
            removeSchemeByFiled?: ((field: string | string[]) => Promise<void>) | undefined;
            appendSchemeByField?: ((scheme: FormScheme, prefixField: string | undefined, first?: boolean | undefined) => Promise<void>) | undefined;
            validateFields?: ((nameList?: NamePath[] | undefined) => Promise<any>) | undefined;
            validate?: ((nameList?: NamePath[] | undefined) => Promise<any>) | undefined;
            scrollToField?: ((name: NamePath, options?: ScrollOptions | undefined) => Promise<void>) | undefined;
            toggleAdvanced?: (() => void) | undefined;
            prefixCls: string;
            formElRef: Ref<{
                submit: () => Promise<void>;
                setFieldsValue: <T>(values: T) => Promise<void>;
                resetFields: () => Promise<void>;
                getFieldsValue: () => Recordable<any>;
                clearValidate: (name?: string | string[] | undefined) => Promise<void>;
                updateScheme: (data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>;
                resetScheme: (data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>;
                setProps: (formProps: Partial<FormProps>) => Promise<void>;
                removeSchemeByFiled: (field: string | string[]) => Promise<void>;
                appendSchemeByField: (scheme: FormScheme, prefixField: string | undefined, first?: boolean | undefined) => Promise<void>;
                validateFields: (nameList?: NamePath[] | undefined) => Promise<any>;
                validate: (nameList?: NamePath[] | undefined) => Promise<any>;
                scrollToField: (name: NamePath, options?: ScrollOptions | undefined) => Promise<void>;
                toggleAdvanced: () => void;
            } | null>;
            formModel: {
                [x: string]: any;
            };
            getBindValue: ComputedRef<{
                layout: "horizontal" | "vertical" | "inline";
                model: Recordable<any>;
                labelWidth?: string | number | undefined;
                labelAlign: "left" | "right";
                rowProps: Partial<{
                    align?: unknown;
                    justify?: unknown;
                    prefixCls?: unknown;
                    gutter?: unknown;
                    wrap?: unknown;
                } & {
                    gutter: Gutter | [Gutter, Gutter];
                } & {
                    prefixCls?: string | undefined;
                    align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                    justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                    wrap?: boolean | undefined;
                }> | Partial<{
                    align?: unknown;
                    justify?: unknown;
                    prefixCls?: unknown;
                    gutter?: unknown;
                    wrap?: unknown;
                } & {
                    gutter: Gutter | [Gutter, Gutter];
                } & {
                    prefixCls?: string | undefined;
                    align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                    justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                    wrap?: boolean | undefined;
                }> | undefined;
                submitOnReset: boolean | undefined;
                labelCol: ColEx | Partial<ColEx> | undefined;
                wrapperCol: ColEx | Partial<ColEx> | undefined;
                baseRowStyle: CSSProperties | undefined;
                baseColProps: ColEx | Partial<ColEx> | undefined;
                schemes: FormScheme[];
                fieldMapToTime: FieldMapToTime;
                fieldMapToRangeValue: FieldMapToRangeValue;
                transformDateFunc: ((date: any) => string) | ((date: any) => string);
                mergeDynamicData: Recordable<any>;
                size: any;
                disabled: boolean | undefined;
                autoSetPlaceHolder: boolean;
                autoSubmitOnEnter: boolean;
                rulesMessageJoinLabel: boolean;
                autoFocusFirstItem: boolean | undefined;
                showActionButtonGroup: boolean;
                resetButtonOptions: Partial<ButtonProps> | undefined;
                submitButtonOptions: Partial<ButtonProps> | undefined;
                actionColOptions: Partial<ColEx> | undefined;
                showResetButton: boolean;
                showSubmitButton: boolean;
                resetFunc: (() => Promise<void>) | (() => Promise<void>) | undefined;
                submitFunc: (() => Promise<void>) | (() => Promise<void>) | undefined;
                colon: boolean;
                showSearchSolution: boolean;
                searchSolutionProps: SearchSolution;
                showAdvanced: boolean;
                advancedButtonProps?: Partial<ButtonProps> | undefined;
                autoAdvancedLines: number;
                t: ((key: string, ...args: any[]) => any) | ((key: string, ...args: any[]) => any) | undefined;
                simple: boolean;
                defaultExpandedAdvanced: boolean;
                validateTrigger: string;
                hideRequiredMark: boolean;
                tableAction: TableActionType | undefined;
                labelWith: string | number;
            }>;
            getProps: ComputedRef<FormProps>;
            handleKeyPressEnter: (e: KeyboardEvent) => void;
            getRowProps: ComputedRef<{
                align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                prefixCls?: string | undefined;
                gutter?: Gutter | [Gutter, Gutter] | undefined;
                wrap?: boolean | undefined;
                style: CSSProperties;
            } | {
                type: string;
                gutter: [{
                    md: number;
                    lg: number;
                    xl: number;
                }];
                style: CSSProperties;
            }>;
            getSchemes: ComputedRef<FormScheme[]>;
            getSlots: string[];
            setFormModel: (key: string, value: any) => void;
            formActions: FormActionType;
            defaultValueRef: Ref<{
                [x: string]: any;
            }>;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
            size: any;
            layout: "horizontal" | "vertical" | "inline";
            colon: boolean;
            validateTrigger: string;
            labelAlign: "left" | "right";
            hideRequiredMark: boolean;
            model: Recordable<any>;
            showActionButtonGroup: boolean;
            showResetButton: boolean;
            showSubmitButton: boolean;
            showSearchSolution: boolean;
            searchSolutionProps: SearchSolution;
            showAdvanced: boolean;
            labelWith: string | number;
            fieldMapToTime: FieldMapToTime;
            fieldMapToRangeValue: FieldMapToRangeValue;
            schemes: FormScheme[];
            mergeDynamicData: Recordable<any>;
            autoSetPlaceHolder: boolean;
            autoSubmitOnEnter: boolean;
            rulesMessageJoinLabel: boolean;
            transformDateFunc: (date: any) => string;
            autoAdvancedLines: number;
            simple: boolean;
            defaultExpandedAdvanced: boolean;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        model?: unknown;
        hideRequiredMark?: unknown;
        labelCol?: unknown;
        layout?: unknown;
        wrapperCol?: unknown;
        colon?: unknown;
        labelAlign?: unknown;
        rowProps?: unknown;
        labelWith?: unknown;
        fieldMapToTime?: unknown;
        fieldMapToRangeValue?: unknown;
        schemes?: unknown;
        mergeDynamicData?: unknown;
        baseRowStyle?: unknown;
        baseColProps?: unknown;
        autoSetPlaceHolder?: unknown;
        autoSubmitOnEnter?: unknown;
        submitOnReset?: unknown;
        size?: unknown;
        disabled?: unknown;
        rulesMessageJoinLabel?: unknown;
        showActionButtonGroup?: unknown;
        actionColOptions?: unknown;
        showResetButton?: unknown;
        autoFocusFirstItem?: unknown;
        resetButtonOptions?: unknown;
        showSubmitButton?: unknown;
        submitButtonOptions?: unknown;
        resetFunc?: unknown;
        submitFunc?: unknown;
        tableAction?: unknown;
        transformDateFunc?: unknown;
        validateTrigger?: unknown;
        showSearchSolution?: unknown;
        searchSolutionProps?: unknown;
        showAdvanced?: unknown;
        autoAdvancedLines?: unknown;
        t?: unknown;
        simple?: unknown;
        defaultExpandedAdvanced?: unknown;
    } & {
        layout: "horizontal" | "vertical" | "inline";
        colon: boolean;
        validateTrigger: string;
        labelAlign: "left" | "right";
        hideRequiredMark: boolean;
        model: Recordable<any>;
        showActionButtonGroup: boolean;
        showResetButton: boolean;
        showSubmitButton: boolean;
        showSearchSolution: boolean;
        searchSolutionProps: SearchSolution;
        showAdvanced: boolean;
        labelWith: string | number;
        fieldMapToTime: FieldMapToTime;
        fieldMapToRangeValue: FieldMapToRangeValue;
        schemes: FormScheme[];
        mergeDynamicData: Recordable<any>;
        autoSetPlaceHolder: boolean;
        autoSubmitOnEnter: boolean;
        rulesMessageJoinLabel: boolean;
        transformDateFunc: (date: any) => string;
        autoAdvancedLines: number;
        simple: boolean;
        defaultExpandedAdvanced: boolean;
    } & {
        size?: any;
        disabled?: boolean | undefined;
        labelCol?: ColEx | undefined;
        wrapperCol?: ColEx | undefined;
        tableAction?: TableActionType | undefined;
        t?: ((key: string, ...args: any[]) => any) | undefined;
        resetButtonOptions?: Partial<ButtonProps> | undefined;
        submitButtonOptions?: Partial<ButtonProps> | undefined;
        actionColOptions?: Partial<ColEx> | undefined;
        rowProps?: Partial<{
            align?: unknown;
            justify?: unknown;
            prefixCls?: unknown;
            gutter?: unknown;
            wrap?: unknown;
        } & {
            gutter: Gutter | [Gutter, Gutter];
        } & {
            prefixCls?: string | undefined;
            align?: "middle" | "top" | "bottom" | "stretch" | undefined;
            justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
            wrap?: boolean | undefined;
        }> | undefined;
        baseRowStyle?: CSSProperties | undefined;
        baseColProps?: ColEx | undefined;
        submitOnReset?: boolean | undefined;
        autoFocusFirstItem?: boolean | undefined;
        resetFunc?: (() => Promise<void>) | undefined;
        submitFunc?: (() => Promise<void>) | undefined;
    }> & ShallowUnwrapRef<{
        getFormActionsProps: ComputedRef<{
            isAdvanced: boolean;
            layout?: "horizontal" | "vertical" | "inline" | undefined;
            model?: Recordable<any> | undefined;
            labelWidth?: string | number | undefined;
            labelAlign?: "left" | "right" | undefined;
            rowProps?: Partial<{
                align?: unknown;
                justify?: unknown;
                prefixCls?: unknown;
                gutter?: unknown;
                wrap?: unknown;
            } & {
                gutter: Gutter | [Gutter, Gutter];
            } & {
                prefixCls?: string | undefined;
                align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                wrap?: boolean | undefined;
            }> | undefined;
            submitOnReset?: boolean | undefined;
            labelCol?: Partial<ColEx> | undefined;
            wrapperCol?: Partial<ColEx> | undefined;
            baseRowStyle?: CSSProperties | undefined;
            baseColProps?: Partial<ColEx> | undefined;
            schemes?: FormScheme[] | undefined;
            fieldMapToTime?: FieldMapToTime | undefined;
            fieldMapToRangeValue?: FieldMapToRangeValue | undefined;
            transformDateFunc?: ((date: any) => string) | undefined;
            mergeDynamicData?: Recordable<any> | undefined;
            size?: "small" | "middle" | "large" | undefined;
            disabled?: boolean | undefined;
            autoSetPlaceHolder?: boolean | undefined;
            autoSubmitOnEnter?: boolean | undefined;
            rulesMessageJoinLabel?: boolean | undefined;
            autoFocusFirstItem?: boolean | undefined;
            showActionButtonGroup?: boolean | undefined;
            resetButtonOptions?: Partial<ButtonProps> | undefined;
            submitButtonOptions?: Partial<ButtonProps> | undefined;
            actionColOptions?: Partial<ColEx> | undefined;
            showResetButton?: boolean | undefined;
            showSubmitButton?: boolean | undefined;
            resetFunc?: (() => Promise<void>) | undefined;
            submitFunc?: (() => Promise<void>) | undefined;
            colon?: boolean | undefined;
            showSearchSolution?: boolean | undefined;
            searchSolutionProps?: SearchSolution | undefined;
            showAdvanced?: boolean | undefined;
            advancedButtonProps?: Partial<ButtonProps> | undefined;
            autoAdvancedLines?: number | undefined;
            t?: ((key: string, ...args: any[]) => any) | undefined;
            simple?: boolean | undefined;
            defaultExpandedAdvanced?: boolean | undefined;
        }>;
        handleToggleAdvanced: () => void;
        isAdvanced: Ref<boolean>;
        submit?: (() => Promise<void>) | undefined;
        setFieldsValue?: (<T>(values: T) => Promise<void>) | undefined;
        resetFields?: (() => Promise<void>) | undefined;
        getFieldsValue?: (() => Recordable<any>) | undefined;
        clearValidate?: ((name?: string | string[] | undefined) => Promise<void>) | undefined;
        updateScheme?: ((data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>) | undefined;
        resetScheme?: ((data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>) | undefined;
        setProps?: ((formProps: Partial<FormProps>) => Promise<void>) | undefined;
        removeSchemeByFiled?: ((field: string | string[]) => Promise<void>) | undefined;
        appendSchemeByField?: ((scheme: FormScheme, prefixField: string | undefined, first?: boolean | undefined) => Promise<void>) | undefined;
        validateFields?: ((nameList?: NamePath[] | undefined) => Promise<any>) | undefined;
        validate?: ((nameList?: NamePath[] | undefined) => Promise<any>) | undefined;
        scrollToField?: ((name: NamePath, options?: ScrollOptions | undefined) => Promise<void>) | undefined;
        toggleAdvanced?: (() => void) | undefined;
        prefixCls: string;
        formElRef: Ref<{
            submit: () => Promise<void>;
            setFieldsValue: <T>(values: T) => Promise<void>;
            resetFields: () => Promise<void>;
            getFieldsValue: () => Recordable<any>;
            clearValidate: (name?: string | string[] | undefined) => Promise<void>;
            updateScheme: (data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>;
            resetScheme: (data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>;
            setProps: (formProps: Partial<FormProps>) => Promise<void>;
            removeSchemeByFiled: (field: string | string[]) => Promise<void>;
            appendSchemeByField: (scheme: FormScheme, prefixField: string | undefined, first?: boolean | undefined) => Promise<void>;
            validateFields: (nameList?: NamePath[] | undefined) => Promise<any>;
            validate: (nameList?: NamePath[] | undefined) => Promise<any>;
            scrollToField: (name: NamePath, options?: ScrollOptions | undefined) => Promise<void>;
            toggleAdvanced: () => void;
        } | null>;
        formModel: {
            [x: string]: any;
        };
        getBindValue: ComputedRef<{
            layout: "horizontal" | "vertical" | "inline";
            model: Recordable<any>;
            labelWidth?: string | number | undefined;
            labelAlign: "left" | "right";
            rowProps: Partial<{
                align?: unknown;
                justify?: unknown;
                prefixCls?: unknown;
                gutter?: unknown;
                wrap?: unknown;
            } & {
                gutter: Gutter | [Gutter, Gutter];
            } & {
                prefixCls?: string | undefined;
                align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                wrap?: boolean | undefined;
            }> | Partial<{
                align?: unknown;
                justify?: unknown;
                prefixCls?: unknown;
                gutter?: unknown;
                wrap?: unknown;
            } & {
                gutter: Gutter | [Gutter, Gutter];
            } & {
                prefixCls?: string | undefined;
                align?: "middle" | "top" | "bottom" | "stretch" | undefined;
                justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
                wrap?: boolean | undefined;
            }> | undefined;
            submitOnReset: boolean | undefined;
            labelCol: ColEx | Partial<ColEx> | undefined;
            wrapperCol: ColEx | Partial<ColEx> | undefined;
            baseRowStyle: CSSProperties | undefined;
            baseColProps: ColEx | Partial<ColEx> | undefined;
            schemes: FormScheme[];
            fieldMapToTime: FieldMapToTime;
            fieldMapToRangeValue: FieldMapToRangeValue;
            transformDateFunc: ((date: any) => string) | ((date: any) => string);
            mergeDynamicData: Recordable<any>;
            size: any;
            disabled: boolean | undefined;
            autoSetPlaceHolder: boolean;
            autoSubmitOnEnter: boolean;
            rulesMessageJoinLabel: boolean;
            autoFocusFirstItem: boolean | undefined;
            showActionButtonGroup: boolean;
            resetButtonOptions: Partial<ButtonProps> | undefined;
            submitButtonOptions: Partial<ButtonProps> | undefined;
            actionColOptions: Partial<ColEx> | undefined;
            showResetButton: boolean;
            showSubmitButton: boolean;
            resetFunc: (() => Promise<void>) | (() => Promise<void>) | undefined;
            submitFunc: (() => Promise<void>) | (() => Promise<void>) | undefined;
            colon: boolean;
            showSearchSolution: boolean;
            searchSolutionProps: SearchSolution;
            showAdvanced: boolean;
            advancedButtonProps?: Partial<ButtonProps> | undefined;
            autoAdvancedLines: number;
            t: ((key: string, ...args: any[]) => any) | ((key: string, ...args: any[]) => any) | undefined;
            simple: boolean;
            defaultExpandedAdvanced: boolean;
            validateTrigger: string;
            hideRequiredMark: boolean;
            tableAction: TableActionType | undefined;
            labelWith: string | number;
        }>;
        getProps: ComputedRef<FormProps>;
        handleKeyPressEnter: (e: KeyboardEvent) => void;
        getRowProps: ComputedRef<{
            align?: "middle" | "top" | "bottom" | "stretch" | undefined;
            justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
            prefixCls?: string | undefined;
            gutter?: Gutter | [Gutter, Gutter] | undefined;
            wrap?: boolean | undefined;
            style: CSSProperties;
        } | {
            type: string;
            gutter: [{
                md: number;
                lg: number;
                xl: number;
            }];
            style: CSSProperties;
        }>;
        getSchemes: ComputedRef<FormScheme[]>;
        getSlots: string[];
        setFormModel: (key: string, value: any) => void;
        formActions: FormActionType;
        defaultValueRef: Ref<{
            [x: string]: any;
        }>;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    model?: unknown;
    hideRequiredMark?: unknown;
    labelCol?: unknown;
    layout?: unknown;
    wrapperCol?: unknown;
    colon?: unknown;
    labelAlign?: unknown;
    rowProps?: unknown;
    labelWith?: unknown;
    fieldMapToTime?: unknown;
    fieldMapToRangeValue?: unknown;
    schemes?: unknown;
    mergeDynamicData?: unknown;
    baseRowStyle?: unknown;
    baseColProps?: unknown;
    autoSetPlaceHolder?: unknown;
    autoSubmitOnEnter?: unknown;
    submitOnReset?: unknown;
    size?: unknown;
    disabled?: unknown;
    rulesMessageJoinLabel?: unknown;
    showActionButtonGroup?: unknown;
    actionColOptions?: unknown;
    showResetButton?: unknown;
    autoFocusFirstItem?: unknown;
    resetButtonOptions?: unknown;
    showSubmitButton?: unknown;
    submitButtonOptions?: unknown;
    resetFunc?: unknown;
    submitFunc?: unknown;
    tableAction?: unknown;
    transformDateFunc?: unknown;
    validateTrigger?: unknown;
    showSearchSolution?: unknown;
    searchSolutionProps?: unknown;
    showAdvanced?: unknown;
    autoAdvancedLines?: unknown;
    t?: unknown;
    simple?: unknown;
    defaultExpandedAdvanced?: unknown;
} & {
    layout: "horizontal" | "vertical" | "inline";
    colon: boolean;
    validateTrigger: string;
    labelAlign: "left" | "right";
    hideRequiredMark: boolean;
    model: Recordable<any>;
    showActionButtonGroup: boolean;
    showResetButton: boolean;
    showSubmitButton: boolean;
    showSearchSolution: boolean;
    searchSolutionProps: SearchSolution;
    showAdvanced: boolean;
    labelWith: string | number;
    fieldMapToTime: FieldMapToTime;
    fieldMapToRangeValue: FieldMapToRangeValue;
    schemes: FormScheme[];
    mergeDynamicData: Recordable<any>;
    autoSetPlaceHolder: boolean;
    autoSubmitOnEnter: boolean;
    rulesMessageJoinLabel: boolean;
    transformDateFunc: (date: any) => string;
    autoAdvancedLines: number;
    simple: boolean;
    defaultExpandedAdvanced: boolean;
} & {
    size?: any;
    disabled?: boolean | undefined;
    labelCol?: ColEx | undefined;
    wrapperCol?: ColEx | undefined;
    tableAction?: TableActionType | undefined;
    t?: ((key: string, ...args: any[]) => any) | undefined;
    resetButtonOptions?: Partial<ButtonProps> | undefined;
    submitButtonOptions?: Partial<ButtonProps> | undefined;
    actionColOptions?: Partial<ColEx> | undefined;
    rowProps?: Partial<{
        align?: unknown;
        justify?: unknown;
        prefixCls?: unknown;
        gutter?: unknown;
        wrap?: unknown;
    } & {
        gutter: Gutter | [Gutter, Gutter];
    } & {
        prefixCls?: string | undefined;
        align?: "middle" | "top" | "bottom" | "stretch" | undefined;
        justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
        wrap?: boolean | undefined;
    }> | undefined;
    baseRowStyle?: CSSProperties | undefined;
    baseColProps?: ColEx | undefined;
    submitOnReset?: boolean | undefined;
    autoFocusFirstItem?: boolean | undefined;
    resetFunc?: (() => Promise<void>) | undefined;
    submitFunc?: (() => Promise<void>) | undefined;
}>, {
    getFormActionsProps: ComputedRef<{
        isAdvanced: boolean;
        layout?: "horizontal" | "vertical" | "inline" | undefined;
        model?: Recordable<any> | undefined;
        labelWidth?: string | number | undefined;
        labelAlign?: "left" | "right" | undefined;
        rowProps?: Partial<{
            align?: unknown;
            justify?: unknown;
            prefixCls?: unknown;
            gutter?: unknown;
            wrap?: unknown;
        } & {
            gutter: Gutter | [Gutter, Gutter];
        } & {
            prefixCls?: string | undefined;
            align?: "middle" | "top" | "bottom" | "stretch" | undefined;
            justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
            wrap?: boolean | undefined;
        }> | undefined;
        submitOnReset?: boolean | undefined;
        labelCol?: Partial<ColEx> | undefined;
        wrapperCol?: Partial<ColEx> | undefined;
        baseRowStyle?: CSSProperties | undefined;
        baseColProps?: Partial<ColEx> | undefined;
        schemes?: FormScheme[] | undefined;
        fieldMapToTime?: FieldMapToTime | undefined;
        fieldMapToRangeValue?: FieldMapToRangeValue | undefined;
        transformDateFunc?: ((date: any) => string) | undefined;
        mergeDynamicData?: Recordable<any> | undefined;
        size?: "small" | "middle" | "large" | undefined;
        disabled?: boolean | undefined;
        autoSetPlaceHolder?: boolean | undefined;
        autoSubmitOnEnter?: boolean | undefined;
        rulesMessageJoinLabel?: boolean | undefined;
        autoFocusFirstItem?: boolean | undefined;
        showActionButtonGroup?: boolean | undefined;
        resetButtonOptions?: Partial<ButtonProps> | undefined;
        submitButtonOptions?: Partial<ButtonProps> | undefined;
        actionColOptions?: Partial<ColEx> | undefined;
        showResetButton?: boolean | undefined;
        showSubmitButton?: boolean | undefined;
        resetFunc?: (() => Promise<void>) | undefined;
        submitFunc?: (() => Promise<void>) | undefined;
        colon?: boolean | undefined;
        showSearchSolution?: boolean | undefined;
        searchSolutionProps?: SearchSolution | undefined;
        showAdvanced?: boolean | undefined;
        advancedButtonProps?: Partial<ButtonProps> | undefined;
        autoAdvancedLines?: number | undefined;
        t?: ((key: string, ...args: any[]) => any) | undefined;
        simple?: boolean | undefined;
        defaultExpandedAdvanced?: boolean | undefined;
    }>;
    handleToggleAdvanced: () => void;
    isAdvanced: Ref<boolean>;
    submit?: (() => Promise<void>) | undefined;
    setFieldsValue?: (<T>(values: T) => Promise<void>) | undefined;
    resetFields?: (() => Promise<void>) | undefined;
    getFieldsValue?: (() => Recordable<any>) | undefined;
    clearValidate?: ((name?: string | string[] | undefined) => Promise<void>) | undefined;
    updateScheme?: ((data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>) | undefined;
    resetScheme?: ((data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>) | undefined;
    setProps?: ((formProps: Partial<FormProps>) => Promise<void>) | undefined;
    removeSchemeByFiled?: ((field: string | string[]) => Promise<void>) | undefined;
    appendSchemeByField?: ((scheme: FormScheme, prefixField: string | undefined, first?: boolean | undefined) => Promise<void>) | undefined;
    validateFields?: ((nameList?: NamePath[] | undefined) => Promise<any>) | undefined;
    validate?: ((nameList?: NamePath[] | undefined) => Promise<any>) | undefined;
    scrollToField?: ((name: NamePath, options?: ScrollOptions | undefined) => Promise<void>) | undefined;
    toggleAdvanced?: (() => void) | undefined;
    prefixCls: string;
    formElRef: Ref<{
        submit: () => Promise<void>;
        setFieldsValue: <T>(values: T) => Promise<void>;
        resetFields: () => Promise<void>;
        getFieldsValue: () => Recordable<any>;
        clearValidate: (name?: string | string[] | undefined) => Promise<void>;
        updateScheme: (data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>;
        resetScheme: (data: Partial<FormScheme> | Partial<FormScheme>[]) => Promise<void>;
        setProps: (formProps: Partial<FormProps>) => Promise<void>;
        removeSchemeByFiled: (field: string | string[]) => Promise<void>;
        appendSchemeByField: (scheme: FormScheme, prefixField: string | undefined, first?: boolean | undefined) => Promise<void>;
        validateFields: (nameList?: NamePath[] | undefined) => Promise<any>;
        validate: (nameList?: NamePath[] | undefined) => Promise<any>;
        scrollToField: (name: NamePath, options?: ScrollOptions | undefined) => Promise<void>;
        toggleAdvanced: () => void;
    } | null>;
    formModel: {
        [x: string]: any;
    };
    getBindValue: ComputedRef<{
        layout: "horizontal" | "vertical" | "inline";
        model: Recordable<any>;
        labelWidth?: string | number | undefined;
        labelAlign: "left" | "right";
        rowProps: Partial<{
            align?: unknown;
            justify?: unknown;
            prefixCls?: unknown;
            gutter?: unknown;
            wrap?: unknown;
        } & {
            gutter: Gutter | [Gutter, Gutter];
        } & {
            prefixCls?: string | undefined;
            align?: "middle" | "top" | "bottom" | "stretch" | undefined;
            justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
            wrap?: boolean | undefined;
        }> | Partial<{
            align?: unknown;
            justify?: unknown;
            prefixCls?: unknown;
            gutter?: unknown;
            wrap?: unknown;
        } & {
            gutter: Gutter | [Gutter, Gutter];
        } & {
            prefixCls?: string | undefined;
            align?: "middle" | "top" | "bottom" | "stretch" | undefined;
            justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
            wrap?: boolean | undefined;
        }> | undefined;
        submitOnReset: boolean | undefined;
        labelCol: ColEx | Partial<ColEx> | undefined;
        wrapperCol: ColEx | Partial<ColEx> | undefined;
        baseRowStyle: CSSProperties | undefined;
        baseColProps: ColEx | Partial<ColEx> | undefined;
        schemes: FormScheme[];
        fieldMapToTime: FieldMapToTime;
        fieldMapToRangeValue: FieldMapToRangeValue;
        transformDateFunc: ((date: any) => string) | ((date: any) => string);
        mergeDynamicData: Recordable<any>;
        size: any;
        disabled: boolean | undefined;
        autoSetPlaceHolder: boolean;
        autoSubmitOnEnter: boolean;
        rulesMessageJoinLabel: boolean;
        autoFocusFirstItem: boolean | undefined;
        showActionButtonGroup: boolean;
        resetButtonOptions: Partial<ButtonProps> | undefined;
        submitButtonOptions: Partial<ButtonProps> | undefined;
        actionColOptions: Partial<ColEx> | undefined;
        showResetButton: boolean;
        showSubmitButton: boolean;
        resetFunc: (() => Promise<void>) | (() => Promise<void>) | undefined;
        submitFunc: (() => Promise<void>) | (() => Promise<void>) | undefined;
        colon: boolean;
        showSearchSolution: boolean;
        searchSolutionProps: SearchSolution;
        showAdvanced: boolean;
        advancedButtonProps?: Partial<ButtonProps> | undefined;
        autoAdvancedLines: number;
        t: ((key: string, ...args: any[]) => any) | ((key: string, ...args: any[]) => any) | undefined;
        simple: boolean;
        defaultExpandedAdvanced: boolean;
        validateTrigger: string;
        hideRequiredMark: boolean;
        tableAction: TableActionType | undefined;
        labelWith: string | number;
    }>;
    getProps: ComputedRef<FormProps>;
    handleKeyPressEnter: (e: KeyboardEvent) => void;
    getRowProps: ComputedRef<{
        align?: "middle" | "top" | "bottom" | "stretch" | undefined;
        justify?: "center" | "space-around" | "space-between" | "end" | "start" | undefined;
        prefixCls?: string | undefined;
        gutter?: Gutter | [Gutter, Gutter] | undefined;
        wrap?: boolean | undefined;
        style: CSSProperties;
    } | {
        type: string;
        gutter: [{
            md: number;
            lg: number;
            xl: number;
        }];
        style: CSSProperties;
    }>;
    getSchemes: ComputedRef<FormScheme[]>;
    getSlots: string[];
    setFormModel: (key: string, value: any) => void;
    formActions: FormActionType;
    defaultValueRef: Ref<{
        [x: string]: any;
    }>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
    size: any;
    layout: "horizontal" | "vertical" | "inline";
    colon: boolean;
    validateTrigger: string;
    labelAlign: "left" | "right";
    hideRequiredMark: boolean;
    model: Recordable<any>;
    showActionButtonGroup: boolean;
    showResetButton: boolean;
    showSubmitButton: boolean;
    showSearchSolution: boolean;
    searchSolutionProps: SearchSolution;
    showAdvanced: boolean;
    labelWith: string | number;
    fieldMapToTime: FieldMapToTime;
    fieldMapToRangeValue: FieldMapToRangeValue;
    schemes: FormScheme[];
    mergeDynamicData: Recordable<any>;
    autoSetPlaceHolder: boolean;
    autoSubmitOnEnter: boolean;
    rulesMessageJoinLabel: boolean;
    transformDateFunc: (date: any) => string;
    autoAdvancedLines: number;
    simple: boolean;
    defaultExpandedAdvanced: boolean;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
