import type { Plugin } from '@vue/runtime-core';
import type { itemRender } from './src/itemRender';
import type { PageSize } from '../composables/usePagination';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, WritableComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
export type { PaginationProps, ItemRender } from './types';
export { itemRender } from './src/itemRender';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            total: number;
            current: number;
            defaultPageSize: PageSize;
            pageSize: number;
            hideOnSinglePage: boolean;
            showSizeChanger: boolean;
            pageSizeOptions: string[];
            showTotal: (total: number, range?: number[] | undefined) => string;
            prevText: string;
            nextText: string;
        }> & Omit<Readonly<{
            current?: unknown;
            pageSize?: unknown;
            defaultPageSize?: unknown;
            pageSizeOptions?: unknown;
            showTotal?: unknown;
            showSizeChanger?: unknown;
            hideOnSinglePage?: unknown;
            prevText?: unknown;
            nextText?: unknown;
            total?: unknown;
        } & {
            total: number;
            current: number;
            defaultPageSize: PageSize;
            pageSize: number;
            hideOnSinglePage: boolean;
            showSizeChanger: boolean;
            pageSizeOptions: string[];
            showTotal: (total: number, range?: number[] | undefined) => string;
            prevText: string;
            nextText: string;
        } & {}> & {
            onChange?: ((...args: any[]) => any) | undefined;
            onShowSizeChange?: ((...args: any[]) => any) | undefined;
            "onUpdate:current"?: ((...args: any[]) => any) | undefined;
            "onUpdate:pageSize"?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "total" | "current" | "defaultPageSize" | "pageSize" | "hideOnSinglePage" | "showSizeChanger" | "pageSizeOptions" | "showTotal" | "prevText" | "nextText">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "change" | "update:current" | "update:pageSize" | "showSizeChange", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            current?: unknown;
            pageSize?: unknown;
            defaultPageSize?: unknown;
            pageSizeOptions?: unknown;
            showTotal?: unknown;
            showSizeChanger?: unknown;
            hideOnSinglePage?: unknown;
            prevText?: unknown;
            nextText?: unknown;
            total?: unknown;
        } & {
            total: number;
            current: number;
            defaultPageSize: PageSize;
            pageSize: number;
            hideOnSinglePage: boolean;
            showSizeChanger: boolean;
            pageSizeOptions: string[];
            showTotal: (total: number, range?: number[] | undefined) => string;
            prevText: string;
            nextText: string;
        } & {}> & {
            onChange?: ((...args: any[]) => any) | undefined;
            onShowSizeChange?: ((...args: any[]) => any) | undefined;
            "onUpdate:current"?: ((...args: any[]) => any) | undefined;
            "onUpdate:pageSize"?: ((...args: any[]) => any) | undefined;
        }, {
            prefixCls: string;
            getSlots: string[];
            innerCurrent: WritableComputedRef<number>;
            innerPageSize: WritableComputedRef<number>;
            changeHandler: (page: number, pageSize: number) => void;
            showSizeChangeHandler: (current: number, size: number) => void;
            itemRender: typeof itemRender;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:current" | "update:pageSize" | "showSizeChange")[], string, {
            total: number;
            current: number;
            defaultPageSize: PageSize;
            pageSize: number;
            hideOnSinglePage: boolean;
            showSizeChanger: boolean;
            pageSizeOptions: string[];
            showTotal: (total: number, range?: number[] | undefined) => string;
            prevText: string;
            nextText: string;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        current?: unknown;
        pageSize?: unknown;
        defaultPageSize?: unknown;
        pageSizeOptions?: unknown;
        showTotal?: unknown;
        showSizeChanger?: unknown;
        hideOnSinglePage?: unknown;
        prevText?: unknown;
        nextText?: unknown;
        total?: unknown;
    } & {
        total: number;
        current: number;
        defaultPageSize: PageSize;
        pageSize: number;
        hideOnSinglePage: boolean;
        showSizeChanger: boolean;
        pageSizeOptions: string[];
        showTotal: (total: number, range?: number[] | undefined) => string;
        prevText: string;
        nextText: string;
    } & {}> & {
        onChange?: ((...args: any[]) => any) | undefined;
        onShowSizeChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:current"?: ((...args: any[]) => any) | undefined;
        "onUpdate:pageSize"?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        prefixCls: string;
        getSlots: string[];
        innerCurrent: WritableComputedRef<number>;
        innerPageSize: WritableComputedRef<number>;
        changeHandler: (page: number, pageSize: number) => void;
        showSizeChangeHandler: (current: number, size: number) => void;
        itemRender: typeof itemRender;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    current?: unknown;
    pageSize?: unknown;
    defaultPageSize?: unknown;
    pageSizeOptions?: unknown;
    showTotal?: unknown;
    showSizeChanger?: unknown;
    hideOnSinglePage?: unknown;
    prevText?: unknown;
    nextText?: unknown;
    total?: unknown;
} & {
    total: number;
    current: number;
    defaultPageSize: PageSize;
    pageSize: number;
    hideOnSinglePage: boolean;
    showSizeChanger: boolean;
    pageSizeOptions: string[];
    showTotal: (total: number, range?: number[] | undefined) => string;
    prevText: string;
    nextText: string;
} & {}> & {
    onChange?: ((...args: any[]) => any) | undefined;
    onShowSizeChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:current"?: ((...args: any[]) => any) | undefined;
    "onUpdate:pageSize"?: ((...args: any[]) => any) | undefined;
}, {
    prefixCls: string;
    getSlots: string[];
    innerCurrent: WritableComputedRef<number>;
    innerPageSize: WritableComputedRef<number>;
    changeHandler: (page: number, pageSize: number) => void;
    showSizeChangeHandler: (current: number, size: number) => void;
    itemRender: typeof itemRender;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:current" | "update:pageSize" | "showSizeChange")[], "change" | "update:current" | "update:pageSize" | "showSizeChange", {
    total: number;
    current: number;
    defaultPageSize: PageSize;
    pageSize: number;
    hideOnSinglePage: boolean;
    showSizeChanger: boolean;
    pageSizeOptions: string[];
    showTotal: (total: number, range?: number[] | undefined) => string;
    prevText: string;
    nextText: string;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
