import type { PageSize } from '../../composables/usePagination';
import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
import type { DefineComponent, WritableComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import { itemRender } from './itemRender';
declare const _default: DefineComponent<{
    current: VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    pageSize: VueTypeDef<number> & {
        default: number;
    };
    defaultPageSize: VueTypeValidableDef<PageSize> & {
        default: PageSize;
    };
    pageSizeOptions: VueTypeValidableDef<string[]> & {
        default: () => string[];
    };
    showTotal: VueTypeValidableDef<(total: number, range?: number[] | undefined) => string> & {
        default: (total: number, range?: number[] | undefined) => string;
    };
    showSizeChanger: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    hideOnSinglePage: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    prevText: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    nextText: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    total: VueTypeDef<number> & {
        default: number;
    } & {
        default: number;
    };
}, {
    prefixCls: string;
    getSlots: string[];
    innerCurrent: WritableComputedRef<number>;
    innerPageSize: WritableComputedRef<number>;
    changeHandler: (page: number, pageSize: number) => void;
    showSizeChangeHandler: (current: number, size: number) => void;
    itemRender: typeof itemRender;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:current" | "update:pageSize" | "showSizeChange")[], "change" | "update:current" | "update:pageSize" | "showSizeChange", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    current?: unknown;
    pageSize?: unknown;
    defaultPageSize?: unknown;
    pageSizeOptions?: unknown;
    showTotal?: unknown;
    showSizeChanger?: unknown;
    hideOnSinglePage?: unknown;
    prevText?: unknown;
    nextText?: unknown;
    total?: unknown;
} & {
    total: number;
    current: number;
    defaultPageSize: PageSize;
    pageSize: number;
    hideOnSinglePage: boolean;
    showSizeChanger: boolean;
    pageSizeOptions: string[];
    showTotal: (total: number, range?: number[] | undefined) => string;
    prevText: string;
    nextText: string;
} & {}> & {
    onChange?: ((...args: any[]) => any) | undefined;
    onShowSizeChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:current"?: ((...args: any[]) => any) | undefined;
    "onUpdate:pageSize"?: ((...args: any[]) => any) | undefined;
}, {
    total: number;
    current: number;
    defaultPageSize: PageSize;
    pageSize: number;
    hideOnSinglePage: boolean;
    showSizeChanger: boolean;
    pageSizeOptions: string[];
    showTotal: (total: number, range?: number[] | undefined) => string;
    prevText: string;
    nextText: string;
}>;
export default _default;
