import type { AnimationIterationCountProperty, AppearanceProperty, BackfaceVisibilityProperty, BackgroundPositionXProperty, BackgroundPositionYProperty, BackgroundSizeProperty, BlockSizeProperty, BorderBlockEndStyleProperty, BorderBlockEndWidthProperty, BorderBlockStartStyleProperty, BorderBlockStartWidthProperty, BorderBlockStyleProperty, BorderBlockWidthProperty, BorderBottomLeftRadiusProperty, BorderBottomRightRadiusProperty, BorderBottomStyleProperty, BorderBottomWidthProperty, BorderCollapseProperty, BorderEndEndRadiusProperty, BorderEndStartRadiusProperty, BorderImageOutsetProperty, BorderImageSliceProperty, BorderImageWidthProperty, BorderInlineEndStyleProperty, BorderInlineEndWidthProperty, BorderInlineStartStyleProperty, BorderInlineStartWidthProperty, BorderInlineStyleProperty, BorderInlineWidthProperty, BorderLeftStyleProperty, BorderLeftWidthProperty, BorderRightStyleProperty, BorderRightWidthProperty, BorderSpacingProperty, BorderStartEndRadiusProperty, BorderStartStartRadiusProperty, BorderTopLeftRadiusProperty, BorderTopRightRadiusProperty, BorderTopStyleProperty, BorderTopWidthProperty, BottomProperty, BoxDecorationBreakProperty, BoxSizingProperty, BreakAfterProperty, BreakBeforeProperty, BreakInsideProperty, CaptionSideProperty, ClearProperty, ColorAdjustProperty, ColumnCountProperty, ColumnFillProperty, ColumnGapProperty, ColumnRuleWidthProperty, ColumnSpanProperty, ColumnWidthProperty, ContentVisibilityProperty, DirectionProperty, EmptyCellsProperty, FlexBasisProperty, FlexDirectionProperty, GlobalsNumber, FlexWrapProperty, FloatProperty, FontKerningProperty, FontOpticalSizingProperty, FontSizeProperty, FontSizeAdjustProperty, FontSmoothProperty, FontVariantCapsProperty, FontVariantPositionProperty, FontWeightProperty, ForcedColorAdjustProperty, GridAutoColumnsProperty, GridAutoRowsProperty, GridColumnEndProperty, GridColumnStartProperty, GridRowEndProperty, GridRowStartProperty, GridTemplateColumnsProperty, GridTemplateRowsProperty, HeightProperty, HyphensProperty, ImageRenderingProperty, InitialLetterProperty, InlineSizeProperty, InsetProperty, InsetBlockProperty, InsetBlockEndProperty, InsetBlockStartProperty, InsetInlineProperty, InsetInlineEndProperty, InsetInlineStartProperty, IsolationProperty, LeftProperty, LetterSpacingProperty, LineBreakProperty, LineHeightProperty, LineHeightStepProperty, ListStylePositionProperty, MarginBlockProperty, MarginBlockEndProperty, MarginBlockStartProperty, MarginBottomProperty, MarginInlineProperty, MarginInlineEndProperty, MarginInlineStartProperty, MarginLeftProperty, MarginRightProperty, MarginTopProperty, MaskBorderModeProperty, MaskBorderOutsetProperty, MaskBorderSliceProperty, MaskBorderWidthProperty, MaskPositionProperty, MaskSizeProperty, MaskTypeProperty, MathStyleProperty, MaxBlockSizeProperty, MaxHeightProperty, MaxInlineSizeProperty, MaxLinesProperty, MaxWidthProperty, MinBlockSizeProperty, MinHeightProperty, MinInlineSizeProperty, MinWidthProperty, MixBlendModeProperty, OffsetDistanceProperty, ObjectFitProperty, ObjectPositionProperty, OffsetAnchorProperty, OpacityProperty, OutlineOffsetProperty, OutlineWidthProperty, OverflowAnchorProperty, OverflowBlockProperty, OverflowClipBoxProperty, OverflowClipMarginProperty, OverflowInlineProperty, OverflowWrapProperty, OverflowXProperty, OverflowYProperty, OverscrollBehaviorBlockProperty, OverscrollBehaviorInlineProperty, OverscrollBehaviorXProperty, OverscrollBehaviorYProperty, PaddingBlockProperty, PaddingBlockEndProperty, PaddingBlockStartProperty, PaddingBottomProperty, PaddingInlineProperty, PaddingInlineEndProperty, PaddingInlineStartProperty, PaddingLeftProperty, PaddingRightProperty, PaddingTopProperty, PageBreakAfterProperty, PageBreakBeforeProperty, PageBreakInsideProperty, PerspectiveProperty, PerspectiveOriginProperty, PointerEventsProperty, PositionProperty, ResizeProperty, RightProperty, RowGapProperty, RubyAlignProperty, RubyMergeProperty, ScaleProperty, ScrollBehaviorProperty, ScrollMarginProperty, ScrollMarginBlockProperty, ScrollMarginBlockEndProperty, ScrollMarginBlockStartProperty, ScrollMarginBottomProperty, ScrollMarginInlineProperty, ScrollMarginInlineEndProperty, ScrollMarginInlineStartProperty, ScrollMarginLeftProperty, ScrollMarginRightProperty, ScrollMarginTopProperty, ScrollPaddingProperty, ScrollPaddingBlockProperty, ScrollPaddingBlockEndProperty, ScrollPaddingBlockStartProperty, ScrollPaddingBottomProperty, ScrollPaddingInlineProperty, ScrollPaddingInlineEndProperty, ScrollPaddingInlineStartProperty, ScrollPaddingLeftProperty, ScrollPaddingRightProperty, ScrollPaddingTopProperty, ScrollSnapStopProperty, ScrollbarWidthProperty, ShapeImageThresholdProperty, ShapeMarginProperty, TabSizeProperty, TableLayoutProperty, TextAlignProperty, TextAlignLastProperty, TextDecorationSkipInkProperty, TextDecorationStyleProperty, TextDecorationThicknessProperty, TextIndentProperty, TextJustifyProperty, TextOrientationProperty, TextRenderingProperty, TextTransformProperty, TextUnderlineOffsetProperty, TopProperty, TransformBoxProperty, TransformOriginProperty, TransformStyleProperty, TranslateProperty, UnicodeBidiProperty, UserSelectProperty, VerticalAlignProperty, VisibilityProperty, WhiteSpaceProperty, WidthProperty, WordBreakProperty, WordSpacingProperty, WordWrapProperty, WritingModeProperty, ZIndexProperty, ZoomProperty, Globals, AnimationProperty, BackgroundProperty, BackgroundPositionProperty, BorderProperty, BorderBlockProperty, BorderBlockEndProperty, BorderBlockStartProperty, BorderBottomProperty, BorderImageProperty, BorderInlineProperty, BorderInlineEndProperty, BorderInlineStartProperty, BorderLeftProperty, BorderRadiusProperty, BorderRightProperty, BorderTopProperty, BorderWidthProperty, ColumnRuleProperty, ColumnsProperty, FlexProperty, GapProperty, GridAreaProperty, GridColumnProperty, GridRowProperty, LineClampProperty, MarginProperty, MaskProperty, MaskBorderProperty, OffsetProperty, OutlineProperty, PaddingProperty, TextDecorationProperty, MozAppearanceProperty, MozOrientProperty, MozStackSizingProperty, MozTextBlinkProperty, MozUserFocusProperty, MozUserModifyProperty, MozWindowDraggingProperty, MozWindowShadowProperty, MsAcceleratorProperty, MsBlockProgressionProperty, MsContentZoomChainingProperty, MsContentZoomSnapTypeProperty, MsContentZoomingProperty, MsGridColumnsProperty, MsGridRowsProperty, MsHighContrastAdjustProperty, MsHyphenateLimitCharsProperty, MsHyphenateLimitLinesProperty, MsHyphenateLimitZoneProperty, MsImeAlignProperty, MsOverflowStyleProperty, MsScrollChainingProperty, MsScrollLimitXMaxProperty, MsScrollLimitXMinProperty, MsScrollLimitYMaxProperty, MsScrollLimitYMinProperty, MsScrollRailsProperty, MsScrollSnapTypeProperty, MsScrollTranslationProperty, MsTextAutospaceProperty, MsTouchSelectProperty, MsUserSelectProperty, MsWrapFlowProperty, MsWrapMarginProperty, MsWrapThroughProperty, WebkitAppearanceProperty, WebkitBorderBeforeWidthProperty, WebkitBoxReflectProperty, WebkitLineClampProperty, WebkitMaskPositionProperty, WebkitMaskPositionXProperty, WebkitMaskPositionYProperty, WebkitMaskRepeatXProperty, WebkitMaskRepeatYProperty, WebkitMaskSizeProperty, WebkitOverflowScrollingProperty, WebkitTextStrokeWidthProperty, WebkitTouchCalloutProperty, WebkitUserModifyProperty, WebkitBorderBeforeProperty, WebkitMaskProperty, WebkitTextStrokeProperty, BoxAlignProperty, BoxDirectionProperty, BoxLinesProperty, BoxOrientProperty, BoxPackProperty, GridColumnGapProperty, GridGapProperty, GridRowGapProperty, ImeModeProperty, ScrollSnapCoordinateProperty, ScrollSnapDestinationProperty, ScrollSnapTypeXProperty, ScrollSnapTypeYProperty, MozFloatEdgeProperty, MozForceBrokenImageIconProperty, MozOutlineRadiusProperty, MozOutlineRadiusBottomleftProperty, MozOutlineRadiusBottomrightProperty, MozOutlineRadiusTopleftProperty, MozOutlineRadiusToprightProperty, MozUserInputProperty, AlignmentBaselineProperty, BaselineShiftProperty, ClipRuleProperty, ColorInterpolationProperty, ColorRenderingProperty, DominantBaselineProperty, FillRuleProperty, GlyphOrientationVerticalProperty, ShapeRenderingProperty, StrokeDasharrayProperty, StrokeDashoffsetProperty, StrokeLinecapProperty, StrokeLinejoinProperty, StrokeWidthProperty, TextAnchorProperty, VectorEffectProperty } from 'csstype';
import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
import type { DefineComponent, Ref, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    show: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    index: VueTypeDef<number> & {
        default: number;
    };
    imgList: VueTypeValidableDef<string[]> & {
        default: () => string[];
    };
}, {
    prefixCls: string;
    visible: Ref<boolean>;
    loading: Ref<boolean>;
    currentSrc: Ref<string>;
    imageStyle: Ref<{
        accentColor?: string | undefined;
        alignContent?: string | undefined;
        alignItems?: string | undefined;
        alignSelf?: string | undefined;
        alignTracks?: string | undefined;
        animationDelay?: string | undefined;
        animationDirection?: string | undefined;
        animationDuration?: string | undefined;
        animationFillMode?: string | undefined;
        animationIterationCount?: AnimationIterationCountProperty | undefined;
        animationName?: string | undefined;
        animationPlayState?: string | undefined;
        animationTimingFunction?: string | undefined;
        appearance?: AppearanceProperty | undefined;
        aspectRatio?: string | undefined;
        backdropFilter?: string | undefined;
        backfaceVisibility?: BackfaceVisibilityProperty | undefined;
        backgroundAttachment?: string | undefined;
        backgroundBlendMode?: string | undefined;
        backgroundClip?: string | undefined;
        backgroundColor?: string | undefined;
        backgroundImage?: string | undefined;
        backgroundOrigin?: string | undefined;
        backgroundPositionX?: BackgroundPositionXProperty<string | number> | undefined;
        backgroundPositionY?: BackgroundPositionYProperty<string | number> | undefined;
        backgroundRepeat?: string | undefined;
        backgroundSize?: BackgroundSizeProperty<string | number> | undefined;
        blockOverflow?: string | undefined;
        blockSize?: BlockSizeProperty<string | number> | undefined;
        borderBlockColor?: string | undefined;
        borderBlockEndColor?: string | undefined;
        borderBlockEndStyle?: BorderBlockEndStyleProperty | undefined;
        borderBlockEndWidth?: BorderBlockEndWidthProperty<string | number> | undefined;
        borderBlockStartColor?: string | undefined;
        borderBlockStartStyle?: BorderBlockStartStyleProperty | undefined;
        borderBlockStartWidth?: BorderBlockStartWidthProperty<string | number> | undefined;
        borderBlockStyle?: BorderBlockStyleProperty | undefined;
        borderBlockWidth?: BorderBlockWidthProperty<string | number> | undefined;
        borderBottomColor?: string | undefined;
        borderBottomLeftRadius?: BorderBottomLeftRadiusProperty<string | number> | undefined;
        borderBottomRightRadius?: BorderBottomRightRadiusProperty<string | number> | undefined;
        borderBottomStyle?: BorderBottomStyleProperty | undefined;
        borderBottomWidth?: BorderBottomWidthProperty<string | number> | undefined;
        borderCollapse?: BorderCollapseProperty | undefined;
        borderEndEndRadius?: BorderEndEndRadiusProperty<string | number> | undefined;
        borderEndStartRadius?: BorderEndStartRadiusProperty<string | number> | undefined;
        borderImageOutset?: BorderImageOutsetProperty<string | number> | undefined;
        borderImageRepeat?: string | undefined;
        borderImageSlice?: BorderImageSliceProperty | undefined;
        borderImageSource?: string | undefined;
        borderImageWidth?: BorderImageWidthProperty<string | number> | undefined;
        borderInlineColor?: string | undefined;
        borderInlineEndColor?: string | undefined;
        borderInlineEndStyle?: BorderInlineEndStyleProperty | undefined;
        borderInlineEndWidth?: BorderInlineEndWidthProperty<string | number> | undefined;
        borderInlineStartColor?: string | undefined;
        borderInlineStartStyle?: BorderInlineStartStyleProperty | undefined;
        borderInlineStartWidth?: BorderInlineStartWidthProperty<string | number> | undefined;
        borderInlineStyle?: BorderInlineStyleProperty | undefined;
        borderInlineWidth?: BorderInlineWidthProperty<string | number> | undefined;
        borderLeftColor?: string | undefined;
        borderLeftStyle?: BorderLeftStyleProperty | undefined;
        borderLeftWidth?: BorderLeftWidthProperty<string | number> | undefined;
        borderRightColor?: string | undefined;
        borderRightStyle?: BorderRightStyleProperty | undefined;
        borderRightWidth?: BorderRightWidthProperty<string | number> | undefined;
        borderSpacing?: BorderSpacingProperty<string | number> | undefined;
        borderStartEndRadius?: BorderStartEndRadiusProperty<string | number> | undefined;
        borderStartStartRadius?: BorderStartStartRadiusProperty<string | number> | undefined;
        borderTopColor?: string | undefined;
        borderTopLeftRadius?: BorderTopLeftRadiusProperty<string | number> | undefined;
        borderTopRightRadius?: BorderTopRightRadiusProperty<string | number> | undefined;
        borderTopStyle?: BorderTopStyleProperty | undefined;
        borderTopWidth?: BorderTopWidthProperty<string | number> | undefined;
        bottom?: BottomProperty<string | number> | undefined;
        boxDecorationBreak?: BoxDecorationBreakProperty | undefined;
        boxShadow?: string | undefined;
        boxSizing?: BoxSizingProperty | undefined;
        breakAfter?: BreakAfterProperty | undefined;
        breakBefore?: BreakBeforeProperty | undefined;
        breakInside?: BreakInsideProperty | undefined;
        captionSide?: CaptionSideProperty | undefined;
        caretColor?: string | undefined;
        clear?: ClearProperty | undefined;
        clipPath?: string | undefined;
        color?: string | undefined;
        colorAdjust?: ColorAdjustProperty | undefined;
        colorScheme?: string | undefined;
        columnCount?: ColumnCountProperty | undefined;
        columnFill?: ColumnFillProperty | undefined;
        columnGap?: ColumnGapProperty<string | number> | undefined;
        columnRuleColor?: string | undefined;
        columnRuleStyle?: string | undefined;
        columnRuleWidth?: ColumnRuleWidthProperty<string | number> | undefined;
        columnSpan?: ColumnSpanProperty | undefined;
        columnWidth?: ColumnWidthProperty<string | number> | undefined;
        contain?: string | undefined;
        content?: string | undefined;
        contentVisibility?: ContentVisibilityProperty | undefined;
        counterIncrement?: string | undefined;
        counterReset?: string | undefined;
        counterSet?: string | undefined;
        cursor?: string | undefined;
        direction?: DirectionProperty | undefined;
        display?: string | undefined;
        emptyCells?: EmptyCellsProperty | undefined;
        filter?: string | undefined;
        flexBasis?: FlexBasisProperty<string | number> | undefined;
        flexDirection?: FlexDirectionProperty | undefined;
        flexGrow?: GlobalsNumber | undefined;
        flexShrink?: GlobalsNumber | undefined;
        flexWrap?: FlexWrapProperty | undefined;
        float?: FloatProperty | undefined;
        fontFamily?: string | undefined;
        fontFeatureSettings?: string | undefined;
        fontKerning?: FontKerningProperty | undefined;
        fontLanguageOverride?: string | undefined;
        fontOpticalSizing?: FontOpticalSizingProperty | undefined;
        fontSize?: FontSizeProperty<string | number> | undefined;
        fontSizeAdjust?: FontSizeAdjustProperty | undefined;
        fontSmooth?: FontSmoothProperty<string | number> | undefined;
        fontStretch?: string | undefined;
        fontStyle?: string | undefined;
        fontSynthesis?: string | undefined;
        fontVariant?: string | undefined;
        fontVariantCaps?: FontVariantCapsProperty | undefined;
        fontVariantEastAsian?: string | undefined;
        fontVariantLigatures?: string | undefined;
        fontVariantNumeric?: string | undefined;
        fontVariantPosition?: FontVariantPositionProperty | undefined;
        fontVariationSettings?: string | undefined;
        fontWeight?: FontWeightProperty | undefined;
        forcedColorAdjust?: ForcedColorAdjustProperty | undefined;
        gridAutoColumns?: GridAutoColumnsProperty<string | number> | undefined;
        gridAutoFlow?: string | undefined;
        gridAutoRows?: GridAutoRowsProperty<string | number> | undefined;
        gridColumnEnd?: GridColumnEndProperty | undefined;
        gridColumnStart?: GridColumnStartProperty | undefined;
        gridRowEnd?: GridRowEndProperty | undefined;
        gridRowStart?: GridRowStartProperty | undefined;
        gridTemplateAreas?: string | undefined;
        gridTemplateColumns?: GridTemplateColumnsProperty<string | number> | undefined;
        gridTemplateRows?: GridTemplateRowsProperty<string | number> | undefined;
        hangingPunctuation?: string | undefined;
        height?: HeightProperty<string | number> | undefined;
        hyphens?: HyphensProperty | undefined;
        imageOrientation?: string | undefined;
        imageRendering?: ImageRenderingProperty | undefined;
        imageResolution?: string | undefined;
        initialLetter?: InitialLetterProperty | undefined;
        inlineSize?: InlineSizeProperty<string | number> | undefined;
        inset?: InsetProperty<string | number> | undefined;
        insetBlock?: InsetBlockProperty<string | number> | undefined;
        insetBlockEnd?: InsetBlockEndProperty<string | number> | undefined;
        insetBlockStart?: InsetBlockStartProperty<string | number> | undefined;
        insetInline?: InsetInlineProperty<string | number> | undefined;
        insetInlineEnd?: InsetInlineEndProperty<string | number> | undefined;
        insetInlineStart?: InsetInlineStartProperty<string | number> | undefined;
        isolation?: IsolationProperty | undefined;
        justifyContent?: string | undefined;
        justifyItems?: string | undefined;
        justifySelf?: string | undefined;
        justifyTracks?: string | undefined;
        left?: LeftProperty<string | number> | undefined;
        letterSpacing?: LetterSpacingProperty<string | number> | undefined;
        lineBreak?: LineBreakProperty | undefined;
        lineHeight?: LineHeightProperty<string | number> | undefined;
        lineHeightStep?: LineHeightStepProperty<string | number> | undefined;
        listStyleImage?: string | undefined;
        listStylePosition?: ListStylePositionProperty | undefined;
        listStyleType?: string | undefined;
        marginBlock?: MarginBlockProperty<string | number> | undefined;
        marginBlockEnd?: MarginBlockEndProperty<string | number> | undefined;
        marginBlockStart?: MarginBlockStartProperty<string | number> | undefined;
        marginBottom?: MarginBottomProperty<string | number> | undefined;
        marginInline?: MarginInlineProperty<string | number> | undefined;
        marginInlineEnd?: MarginInlineEndProperty<string | number> | undefined;
        marginInlineStart?: MarginInlineStartProperty<string | number> | undefined;
        marginLeft?: MarginLeftProperty<string | number> | undefined;
        marginRight?: MarginRightProperty<string | number> | undefined;
        marginTop?: MarginTopProperty<string | number> | undefined;
        maskBorderMode?: MaskBorderModeProperty | undefined;
        maskBorderOutset?: MaskBorderOutsetProperty<string | number> | undefined;
        maskBorderRepeat?: string | undefined;
        maskBorderSlice?: MaskBorderSliceProperty | undefined;
        maskBorderSource?: string | undefined;
        maskBorderWidth?: MaskBorderWidthProperty<string | number> | undefined;
        maskClip?: string | undefined;
        maskComposite?: string | undefined;
        maskImage?: string | undefined;
        maskMode?: string | undefined;
        maskOrigin?: string | undefined;
        maskPosition?: MaskPositionProperty<string | number> | undefined;
        maskRepeat?: string | undefined;
        maskSize?: MaskSizeProperty<string | number> | undefined;
        maskType?: MaskTypeProperty | undefined;
        mathStyle?: MathStyleProperty | undefined;
        maxBlockSize?: MaxBlockSizeProperty<string | number> | undefined;
        maxHeight?: MaxHeightProperty<string | number> | undefined;
        maxInlineSize?: MaxInlineSizeProperty<string | number> | undefined;
        maxLines?: MaxLinesProperty | undefined;
        maxWidth?: MaxWidthProperty<string | number> | undefined;
        minBlockSize?: MinBlockSizeProperty<string | number> | undefined;
        minHeight?: MinHeightProperty<string | number> | undefined;
        minInlineSize?: MinInlineSizeProperty<string | number> | undefined;
        minWidth?: MinWidthProperty<string | number> | undefined;
        mixBlendMode?: MixBlendModeProperty | undefined;
        motionDistance?: OffsetDistanceProperty<string | number> | undefined;
        motionPath?: string | undefined;
        motionRotation?: string | undefined;
        objectFit?: ObjectFitProperty | undefined;
        objectPosition?: ObjectPositionProperty<string | number> | undefined;
        offsetAnchor?: OffsetAnchorProperty<string | number> | undefined;
        offsetDistance?: OffsetDistanceProperty<string | number> | undefined;
        offsetPath?: string | undefined;
        offsetRotate?: string | undefined;
        offsetRotation?: string | undefined;
        opacity?: OpacityProperty | undefined;
        order?: GlobalsNumber | undefined;
        orphans?: GlobalsNumber | undefined;
        outlineColor?: string | undefined;
        outlineOffset?: OutlineOffsetProperty<string | number> | undefined;
        outlineStyle?: string | undefined;
        outlineWidth?: OutlineWidthProperty<string | number> | undefined;
        overflowAnchor?: OverflowAnchorProperty | undefined;
        overflowBlock?: OverflowBlockProperty | undefined;
        overflowClipBox?: OverflowClipBoxProperty | undefined;
        overflowClipMargin?: OverflowClipMarginProperty<string | number> | undefined;
        overflowInline?: OverflowInlineProperty | undefined;
        overflowWrap?: OverflowWrapProperty | undefined;
        overflowX?: OverflowXProperty | undefined;
        overflowY?: OverflowYProperty | undefined;
        overscrollBehaviorBlock?: OverscrollBehaviorBlockProperty | undefined;
        overscrollBehaviorInline?: OverscrollBehaviorInlineProperty | undefined;
        overscrollBehaviorX?: OverscrollBehaviorXProperty | undefined;
        overscrollBehaviorY?: OverscrollBehaviorYProperty | undefined;
        paddingBlock?: PaddingBlockProperty<string | number> | undefined;
        paddingBlockEnd?: PaddingBlockEndProperty<string | number> | undefined;
        paddingBlockStart?: PaddingBlockStartProperty<string | number> | undefined;
        paddingBottom?: PaddingBottomProperty<string | number> | undefined;
        paddingInline?: PaddingInlineProperty<string | number> | undefined;
        paddingInlineEnd?: PaddingInlineEndProperty<string | number> | undefined;
        paddingInlineStart?: PaddingInlineStartProperty<string | number> | undefined;
        paddingLeft?: PaddingLeftProperty<string | number> | undefined;
        paddingRight?: PaddingRightProperty<string | number> | undefined;
        paddingTop?: PaddingTopProperty<string | number> | undefined;
        pageBreakAfter?: PageBreakAfterProperty | undefined;
        pageBreakBefore?: PageBreakBeforeProperty | undefined;
        pageBreakInside?: PageBreakInsideProperty | undefined;
        paintOrder?: string | undefined;
        perspective?: PerspectiveProperty<string | number> | undefined;
        perspectiveOrigin?: PerspectiveOriginProperty<string | number> | undefined;
        placeContent?: string | undefined;
        pointerEvents?: PointerEventsProperty | undefined;
        position?: PositionProperty | undefined;
        quotes?: string | undefined;
        resize?: ResizeProperty | undefined;
        right?: RightProperty<string | number> | undefined;
        rotate?: string | undefined;
        rowGap?: RowGapProperty<string | number> | undefined;
        rubyAlign?: RubyAlignProperty | undefined;
        rubyMerge?: RubyMergeProperty | undefined;
        rubyPosition?: string | undefined;
        scale?: ScaleProperty | undefined;
        scrollBehavior?: ScrollBehaviorProperty | undefined;
        scrollMargin?: ScrollMarginProperty<string | number> | undefined;
        scrollMarginBlock?: ScrollMarginBlockProperty<string | number> | undefined;
        scrollMarginBlockEnd?: ScrollMarginBlockEndProperty<string | number> | undefined;
        scrollMarginBlockStart?: ScrollMarginBlockStartProperty<string | number> | undefined;
        scrollMarginBottom?: ScrollMarginBottomProperty<string | number> | undefined;
        scrollMarginInline?: ScrollMarginInlineProperty<string | number> | undefined;
        scrollMarginInlineEnd?: ScrollMarginInlineEndProperty<string | number> | undefined;
        scrollMarginInlineStart?: ScrollMarginInlineStartProperty<string | number> | undefined;
        scrollMarginLeft?: ScrollMarginLeftProperty<string | number> | undefined;
        scrollMarginRight?: ScrollMarginRightProperty<string | number> | undefined;
        scrollMarginTop?: ScrollMarginTopProperty<string | number> | undefined;
        scrollPadding?: ScrollPaddingProperty<string | number> | undefined;
        scrollPaddingBlock?: ScrollPaddingBlockProperty<string | number> | undefined;
        scrollPaddingBlockEnd?: ScrollPaddingBlockEndProperty<string | number> | undefined;
        scrollPaddingBlockStart?: ScrollPaddingBlockStartProperty<string | number> | undefined;
        scrollPaddingBottom?: ScrollPaddingBottomProperty<string | number> | undefined;
        scrollPaddingInline?: ScrollPaddingInlineProperty<string | number> | undefined;
        scrollPaddingInlineEnd?: ScrollPaddingInlineEndProperty<string | number> | undefined;
        scrollPaddingInlineStart?: ScrollPaddingInlineStartProperty<string | number> | undefined;
        scrollPaddingLeft?: ScrollPaddingLeftProperty<string | number> | undefined;
        scrollPaddingRight?: ScrollPaddingRightProperty<string | number> | undefined;
        scrollPaddingTop?: ScrollPaddingTopProperty<string | number> | undefined;
        scrollSnapAlign?: string | undefined;
        scrollSnapMargin?: ScrollMarginProperty<string | number> | undefined;
        scrollSnapMarginBottom?: ScrollMarginBottomProperty<string | number> | undefined;
        scrollSnapMarginLeft?: ScrollMarginLeftProperty<string | number> | undefined;
        scrollSnapMarginRight?: ScrollMarginRightProperty<string | number> | undefined;
        scrollSnapMarginTop?: ScrollMarginTopProperty<string | number> | undefined;
        scrollSnapStop?: ScrollSnapStopProperty | undefined;
        scrollSnapType?: string | undefined;
        scrollbarColor?: string | undefined;
        scrollbarGutter?: string | undefined;
        scrollbarWidth?: ScrollbarWidthProperty | undefined;
        shapeImageThreshold?: ShapeImageThresholdProperty | undefined;
        shapeMargin?: ShapeMarginProperty<string | number> | undefined;
        shapeOutside?: string | undefined;
        tabSize?: TabSizeProperty<string | number> | undefined;
        tableLayout?: TableLayoutProperty | undefined;
        textAlign?: TextAlignProperty | undefined;
        textAlignLast?: TextAlignLastProperty | undefined;
        textCombineUpright?: string | undefined;
        textDecorationColor?: string | undefined;
        textDecorationLine?: string | undefined;
        textDecorationSkip?: string | undefined;
        textDecorationSkipInk?: TextDecorationSkipInkProperty | undefined;
        textDecorationStyle?: TextDecorationStyleProperty | undefined;
        textDecorationThickness?: TextDecorationThicknessProperty<string | number> | undefined;
        textDecorationWidth?: TextDecorationThicknessProperty<string | number> | undefined;
        textEmphasisColor?: string | undefined;
        textEmphasisPosition?: string | undefined;
        textEmphasisStyle?: string | undefined;
        textIndent?: TextIndentProperty<string | number> | undefined;
        textJustify?: TextJustifyProperty | undefined;
        textOrientation?: TextOrientationProperty | undefined;
        textOverflow?: string | undefined;
        textRendering?: TextRenderingProperty | undefined;
        textShadow?: string | undefined;
        textSizeAdjust?: string | undefined;
        textTransform?: TextTransformProperty | undefined;
        textUnderlineOffset?: TextUnderlineOffsetProperty<string | number> | undefined;
        textUnderlinePosition?: string | undefined;
        top?: TopProperty<string | number> | undefined;
        touchAction?: string | undefined;
        transform?: string | undefined;
        transformBox?: TransformBoxProperty | undefined;
        transformOrigin?: TransformOriginProperty<string | number> | undefined;
        transformStyle?: TransformStyleProperty | undefined;
        transitionDelay?: string | undefined;
        transitionDuration?: string | undefined;
        transitionProperty?: string | undefined;
        transitionTimingFunction?: string | undefined;
        translate?: TranslateProperty<string | number> | undefined;
        unicodeBidi?: UnicodeBidiProperty | undefined;
        userSelect?: UserSelectProperty | undefined;
        verticalAlign?: VerticalAlignProperty<string | number> | undefined;
        visibility?: VisibilityProperty | undefined;
        whiteSpace?: WhiteSpaceProperty | undefined;
        widows?: GlobalsNumber | undefined;
        width?: WidthProperty<string | number> | undefined;
        willChange?: string | undefined;
        wordBreak?: WordBreakProperty | undefined;
        wordSpacing?: WordSpacingProperty<string | number> | undefined;
        wordWrap?: WordWrapProperty | undefined;
        writingMode?: WritingModeProperty | undefined;
        zIndex?: ZIndexProperty | undefined;
        zoom?: ZoomProperty | undefined;
        all?: Globals | undefined;
        animation?: AnimationProperty | undefined;
        background?: BackgroundProperty<string | number> | undefined;
        backgroundPosition?: BackgroundPositionProperty<string | number> | undefined;
        border?: BorderProperty<string | number> | undefined;
        borderBlock?: BorderBlockProperty<string | number> | undefined;
        borderBlockEnd?: BorderBlockEndProperty<string | number> | undefined;
        borderBlockStart?: BorderBlockStartProperty<string | number> | undefined;
        borderBottom?: BorderBottomProperty<string | number> | undefined;
        borderColor?: string | undefined;
        borderImage?: BorderImageProperty | undefined;
        borderInline?: BorderInlineProperty<string | number> | undefined;
        borderInlineEnd?: BorderInlineEndProperty<string | number> | undefined;
        borderInlineStart?: BorderInlineStartProperty<string | number> | undefined;
        borderLeft?: BorderLeftProperty<string | number> | undefined;
        borderRadius?: BorderRadiusProperty<string | number> | undefined;
        borderRight?: BorderRightProperty<string | number> | undefined;
        borderStyle?: string | undefined;
        borderTop?: BorderTopProperty<string | number> | undefined;
        borderWidth?: BorderWidthProperty<string | number> | undefined;
        columnRule?: ColumnRuleProperty<string | number> | undefined;
        columns?: ColumnsProperty<string | number> | undefined;
        flex?: FlexProperty<string | number> | undefined;
        flexFlow?: string | undefined;
        font?: string | undefined;
        gap?: GapProperty<string | number> | undefined;
        grid?: string | undefined;
        gridArea?: GridAreaProperty | undefined;
        gridColumn?: GridColumnProperty | undefined;
        gridRow?: GridRowProperty | undefined;
        gridTemplate?: string | undefined;
        lineClamp?: LineClampProperty | undefined;
        listStyle?: string | undefined;
        margin?: MarginProperty<string | number> | undefined;
        mask?: MaskProperty<string | number> | undefined;
        maskBorder?: MaskBorderProperty | undefined;
        motion?: OffsetProperty<string | number> | undefined;
        offset?: OffsetProperty<string | number> | undefined;
        outline?: OutlineProperty<string | number> | undefined;
        overflow?: string | undefined;
        overscrollBehavior?: string | undefined;
        padding?: PaddingProperty<string | number> | undefined;
        placeItems?: string | undefined;
        placeSelf?: string | undefined;
        textDecoration?: TextDecorationProperty<string | number> | undefined;
        textEmphasis?: string | undefined;
        transition?: string | undefined;
        MozAnimationDelay?: string | undefined;
        MozAnimationDirection?: string | undefined;
        MozAnimationDuration?: string | undefined;
        MozAnimationFillMode?: string | undefined;
        MozAnimationIterationCount?: AnimationIterationCountProperty | undefined;
        MozAnimationName?: string | undefined;
        MozAnimationPlayState?: string | undefined;
        MozAnimationTimingFunction?: string | undefined;
        MozAppearance?: MozAppearanceProperty | undefined;
        MozBackfaceVisibility?: BackfaceVisibilityProperty | undefined;
        MozBorderBottomColors?: string | undefined;
        MozBorderEndColor?: string | undefined;
        MozBorderEndStyle?: BorderInlineEndStyleProperty | undefined;
        MozBorderEndWidth?: BorderInlineEndWidthProperty<string | number> | undefined;
        MozBorderLeftColors?: string | undefined;
        MozBorderRightColors?: string | undefined;
        MozBorderStartColor?: string | undefined;
        MozBorderStartStyle?: BorderInlineStartStyleProperty | undefined;
        MozBorderTopColors?: string | undefined;
        MozBoxSizing?: BoxSizingProperty | undefined;
        MozColumnCount?: ColumnCountProperty | undefined;
        MozColumnFill?: ColumnFillProperty | undefined;
        MozColumnGap?: ColumnGapProperty<string | number> | undefined;
        MozColumnRuleColor?: string | undefined;
        MozColumnRuleStyle?: string | undefined;
        MozColumnRuleWidth?: ColumnRuleWidthProperty<string | number> | undefined;
        MozColumnWidth?: ColumnWidthProperty<string | number> | undefined;
        MozContextProperties?: string | undefined;
        MozFontFeatureSettings?: string | undefined;
        MozFontLanguageOverride?: string | undefined;
        MozHyphens?: HyphensProperty | undefined;
        MozImageRegion?: string | undefined;
        MozMarginEnd?: MarginInlineEndProperty<string | number> | undefined;
        MozMarginStart?: MarginInlineStartProperty<string | number> | undefined;
        MozOrient?: MozOrientProperty | undefined;
        MozOsxFontSmoothing?: FontSmoothProperty<string | number> | undefined;
        MozPaddingEnd?: PaddingInlineEndProperty<string | number> | undefined;
        MozPaddingStart?: PaddingInlineStartProperty<string | number> | undefined;
        MozPerspective?: PerspectiveProperty<string | number> | undefined;
        MozPerspectiveOrigin?: PerspectiveOriginProperty<string | number> | undefined;
        MozStackSizing?: MozStackSizingProperty | undefined;
        MozTabSize?: TabSizeProperty<string | number> | undefined;
        MozTextBlink?: MozTextBlinkProperty | undefined;
        MozTextSizeAdjust?: string | undefined;
        MozTransformOrigin?: TransformOriginProperty<string | number> | undefined;
        MozTransformStyle?: TransformStyleProperty | undefined;
        MozTransitionDelay?: string | undefined;
        MozTransitionDuration?: string | undefined;
        MozTransitionProperty?: string | undefined;
        MozTransitionTimingFunction?: string | undefined;
        MozUserFocus?: MozUserFocusProperty | undefined;
        MozUserModify?: MozUserModifyProperty | undefined;
        MozUserSelect?: UserSelectProperty | undefined;
        MozWindowDragging?: MozWindowDraggingProperty | undefined;
        MozWindowShadow?: MozWindowShadowProperty | undefined;
        msAccelerator?: MsAcceleratorProperty | undefined;
        msAlignSelf?: string | undefined;
        msBlockProgression?: MsBlockProgressionProperty | undefined;
        msContentZoomChaining?: MsContentZoomChainingProperty | undefined;
        msContentZoomLimitMax?: string | undefined;
        msContentZoomLimitMin?: string | undefined;
        msContentZoomSnapPoints?: string | undefined;
        msContentZoomSnapType?: MsContentZoomSnapTypeProperty | undefined;
        msContentZooming?: MsContentZoomingProperty | undefined;
        msFilter?: string | undefined;
        msFlexDirection?: FlexDirectionProperty | undefined;
        msFlexPositive?: GlobalsNumber | undefined;
        msFlowFrom?: string | undefined;
        msFlowInto?: string | undefined;
        msGridColumns?: MsGridColumnsProperty<string | number> | undefined;
        msGridRows?: MsGridRowsProperty<string | number> | undefined;
        msHighContrastAdjust?: MsHighContrastAdjustProperty | undefined;
        msHyphenateLimitChars?: MsHyphenateLimitCharsProperty | undefined;
        msHyphenateLimitLines?: MsHyphenateLimitLinesProperty | undefined;
        msHyphenateLimitZone?: MsHyphenateLimitZoneProperty<string | number> | undefined;
        msHyphens?: HyphensProperty | undefined;
        msImeAlign?: MsImeAlignProperty | undefined;
        msJustifySelf?: string | undefined;
        msLineBreak?: LineBreakProperty | undefined;
        msOrder?: GlobalsNumber | undefined;
        msOverflowStyle?: MsOverflowStyleProperty | undefined;
        msOverflowX?: OverflowXProperty | undefined;
        msOverflowY?: OverflowYProperty | undefined;
        msScrollChaining?: MsScrollChainingProperty | undefined;
        msScrollLimitXMax?: MsScrollLimitXMaxProperty<string | number> | undefined;
        msScrollLimitXMin?: MsScrollLimitXMinProperty<string | number> | undefined;
        msScrollLimitYMax?: MsScrollLimitYMaxProperty<string | number> | undefined;
        msScrollLimitYMin?: MsScrollLimitYMinProperty<string | number> | undefined;
        msScrollRails?: MsScrollRailsProperty | undefined;
        msScrollSnapPointsX?: string | undefined;
        msScrollSnapPointsY?: string | undefined;
        msScrollSnapType?: MsScrollSnapTypeProperty | undefined;
        msScrollTranslation?: MsScrollTranslationProperty | undefined;
        msScrollbar3dlightColor?: string | undefined;
        msScrollbarArrowColor?: string | undefined;
        msScrollbarBaseColor?: string | undefined;
        msScrollbarDarkshadowColor?: string | undefined;
        msScrollbarFaceColor?: string | undefined;
        msScrollbarHighlightColor?: string | undefined;
        msScrollbarShadowColor?: string | undefined;
        msTextAutospace?: MsTextAutospaceProperty | undefined;
        msTextCombineHorizontal?: string | undefined;
        msTextOverflow?: string | undefined;
        msTouchAction?: string | undefined;
        msTouchSelect?: MsTouchSelectProperty | undefined;
        msTransform?: string | undefined;
        msTransformOrigin?: TransformOriginProperty<string | number> | undefined;
        msTransitionDelay?: string | undefined;
        msTransitionDuration?: string | undefined;
        msTransitionProperty?: string | undefined;
        msTransitionTimingFunction?: string | undefined;
        msUserSelect?: MsUserSelectProperty | undefined;
        msWordBreak?: WordBreakProperty | undefined;
        msWrapFlow?: MsWrapFlowProperty | undefined;
        msWrapMargin?: MsWrapMarginProperty<string | number> | undefined;
        msWrapThrough?: MsWrapThroughProperty | undefined;
        msWritingMode?: WritingModeProperty | undefined;
        WebkitAlignContent?: string | undefined;
        WebkitAlignItems?: string | undefined;
        WebkitAlignSelf?: string | undefined;
        WebkitAnimationDelay?: string | undefined;
        WebkitAnimationDirection?: string | undefined;
        WebkitAnimationDuration?: string | undefined;
        WebkitAnimationFillMode?: string | undefined;
        WebkitAnimationIterationCount?: AnimationIterationCountProperty | undefined;
        WebkitAnimationName?: string | undefined;
        WebkitAnimationPlayState?: string | undefined;
        WebkitAnimationTimingFunction?: string | undefined;
        WebkitAppearance?: WebkitAppearanceProperty | undefined;
        WebkitBackdropFilter?: string | undefined;
        WebkitBackfaceVisibility?: BackfaceVisibilityProperty | undefined;
        WebkitBackgroundClip?: string | undefined;
        WebkitBackgroundOrigin?: string | undefined;
        WebkitBackgroundSize?: BackgroundSizeProperty<string | number> | undefined;
        WebkitBorderBeforeColor?: string | undefined;
        WebkitBorderBeforeStyle?: string | undefined;
        WebkitBorderBeforeWidth?: WebkitBorderBeforeWidthProperty<string | number> | undefined;
        WebkitBorderBottomLeftRadius?: BorderBottomLeftRadiusProperty<string | number> | undefined;
        WebkitBorderBottomRightRadius?: BorderBottomRightRadiusProperty<string | number> | undefined;
        WebkitBorderImageSlice?: BorderImageSliceProperty | undefined;
        WebkitBorderTopLeftRadius?: BorderTopLeftRadiusProperty<string | number> | undefined;
        WebkitBorderTopRightRadius?: BorderTopRightRadiusProperty<string | number> | undefined;
        WebkitBoxDecorationBreak?: BoxDecorationBreakProperty | undefined;
        WebkitBoxReflect?: WebkitBoxReflectProperty<string | number> | undefined;
        WebkitBoxShadow?: string | undefined;
        WebkitBoxSizing?: BoxSizingProperty | undefined;
        WebkitClipPath?: string | undefined;
        WebkitColumnCount?: ColumnCountProperty | undefined;
        WebkitColumnFill?: ColumnFillProperty | undefined;
        WebkitColumnGap?: ColumnGapProperty<string | number> | undefined;
        WebkitColumnRuleColor?: string | undefined;
        WebkitColumnRuleStyle?: string | undefined;
        WebkitColumnRuleWidth?: ColumnRuleWidthProperty<string | number> | undefined;
        WebkitColumnSpan?: ColumnSpanProperty | undefined;
        WebkitColumnWidth?: ColumnWidthProperty<string | number> | undefined;
        WebkitFilter?: string | undefined;
        WebkitFlexBasis?: FlexBasisProperty<string | number> | undefined;
        WebkitFlexDirection?: FlexDirectionProperty | undefined;
        WebkitFlexGrow?: GlobalsNumber | undefined;
        WebkitFlexShrink?: GlobalsNumber | undefined;
        WebkitFlexWrap?: FlexWrapProperty | undefined;
        WebkitFontFeatureSettings?: string | undefined;
        WebkitFontKerning?: FontKerningProperty | undefined;
        WebkitFontSmoothing?: FontSmoothProperty<string | number> | undefined;
        WebkitFontVariantLigatures?: string | undefined;
        WebkitHyphens?: HyphensProperty | undefined;
        WebkitInitialLetter?: InitialLetterProperty | undefined;
        WebkitJustifyContent?: string | undefined;
        WebkitLineBreak?: LineBreakProperty | undefined;
        WebkitLineClamp?: WebkitLineClampProperty | undefined;
        WebkitMarginEnd?: MarginInlineEndProperty<string | number> | undefined;
        WebkitMarginStart?: MarginInlineStartProperty<string | number> | undefined;
        WebkitMaskAttachment?: string | undefined;
        WebkitMaskBoxImageOutset?: MaskBorderOutsetProperty<string | number> | undefined;
        WebkitMaskBoxImageRepeat?: string | undefined;
        WebkitMaskBoxImageSlice?: MaskBorderSliceProperty | undefined;
        WebkitMaskBoxImageSource?: string | undefined;
        WebkitMaskBoxImageWidth?: MaskBorderWidthProperty<string | number> | undefined;
        WebkitMaskClip?: string | undefined;
        WebkitMaskComposite?: string | undefined;
        WebkitMaskImage?: string | undefined;
        WebkitMaskOrigin?: string | undefined;
        WebkitMaskPosition?: WebkitMaskPositionProperty<string | number> | undefined;
        WebkitMaskPositionX?: WebkitMaskPositionXProperty<string | number> | undefined;
        WebkitMaskPositionY?: WebkitMaskPositionYProperty<string | number> | undefined;
        WebkitMaskRepeat?: string | undefined;
        WebkitMaskRepeatX?: WebkitMaskRepeatXProperty | undefined;
        WebkitMaskRepeatY?: WebkitMaskRepeatYProperty | undefined;
        WebkitMaskSize?: WebkitMaskSizeProperty<string | number> | undefined;
        WebkitMaxInlineSize?: MaxInlineSizeProperty<string | number> | undefined;
        WebkitOrder?: GlobalsNumber | undefined;
        WebkitOverflowScrolling?: WebkitOverflowScrollingProperty | undefined;
        WebkitPaddingEnd?: PaddingInlineEndProperty<string | number> | undefined;
        WebkitPaddingStart?: PaddingInlineStartProperty<string | number> | undefined;
        WebkitPerspective?: PerspectiveProperty<string | number> | undefined;
        WebkitPerspectiveOrigin?: PerspectiveOriginProperty<string | number> | undefined;
        WebkitPrintColorAdjust?: ColorAdjustProperty | undefined;
        WebkitRubyPosition?: string | undefined;
        WebkitScrollSnapType?: string | undefined;
        WebkitShapeMargin?: ShapeMarginProperty<string | number> | undefined;
        WebkitTapHighlightColor?: string | undefined;
        WebkitTextCombine?: string | undefined;
        WebkitTextDecorationColor?: string | undefined;
        WebkitTextDecorationLine?: string | undefined;
        WebkitTextDecorationSkip?: string | undefined;
        WebkitTextDecorationStyle?: TextDecorationStyleProperty | undefined;
        WebkitTextEmphasisColor?: string | undefined;
        WebkitTextEmphasisPosition?: string | undefined;
        WebkitTextEmphasisStyle?: string | undefined;
        WebkitTextFillColor?: string | undefined;
        WebkitTextOrientation?: TextOrientationProperty | undefined;
        WebkitTextSizeAdjust?: string | undefined;
        WebkitTextStrokeColor?: string | undefined;
        WebkitTextStrokeWidth?: WebkitTextStrokeWidthProperty<string | number> | undefined;
        WebkitTextUnderlinePosition?: string | undefined;
        WebkitTouchCallout?: WebkitTouchCalloutProperty | undefined;
        WebkitTransform?: string | undefined;
        WebkitTransformOrigin?: TransformOriginProperty<string | number> | undefined;
        WebkitTransformStyle?: TransformStyleProperty | undefined;
        WebkitTransitionDelay?: string | undefined;
        WebkitTransitionDuration?: string | undefined;
        WebkitTransitionProperty?: string | undefined;
        WebkitTransitionTimingFunction?: string | undefined;
        WebkitUserModify?: WebkitUserModifyProperty | undefined;
        WebkitUserSelect?: UserSelectProperty | undefined;
        WebkitWritingMode?: WritingModeProperty | undefined;
        MozAnimation?: AnimationProperty | undefined;
        MozBorderImage?: BorderImageProperty | undefined;
        MozColumnRule?: ColumnRuleProperty<string | number> | undefined;
        MozColumns?: ColumnsProperty<string | number> | undefined;
        MozTransition?: string | undefined;
        msContentZoomLimit?: string | undefined;
        msContentZoomSnap?: string | undefined;
        msFlex?: FlexProperty<string | number> | undefined;
        msScrollLimit?: string | undefined;
        msScrollSnapX?: string | undefined;
        msScrollSnapY?: string | undefined;
        msTransition?: string | undefined;
        WebkitAnimation?: AnimationProperty | undefined;
        WebkitBorderBefore?: WebkitBorderBeforeProperty<string | number> | undefined;
        WebkitBorderImage?: BorderImageProperty | undefined;
        WebkitBorderRadius?: BorderRadiusProperty<string | number> | undefined;
        WebkitColumnRule?: ColumnRuleProperty<string | number> | undefined;
        WebkitColumns?: ColumnsProperty<string | number> | undefined;
        WebkitFlex?: FlexProperty<string | number> | undefined;
        WebkitFlexFlow?: string | undefined;
        WebkitMask?: WebkitMaskProperty<string | number> | undefined;
        WebkitMaskBoxImage?: MaskBorderProperty | undefined;
        WebkitTextEmphasis?: string | undefined;
        WebkitTextStroke?: WebkitTextStrokeProperty<string | number> | undefined;
        WebkitTransition?: string | undefined;
        azimuth?: string | undefined;
        boxAlign?: BoxAlignProperty | undefined;
        boxDirection?: BoxDirectionProperty | undefined;
        boxFlex?: GlobalsNumber | undefined;
        boxFlexGroup?: GlobalsNumber | undefined;
        boxLines?: BoxLinesProperty | undefined;
        boxOrdinalGroup?: GlobalsNumber | undefined;
        boxOrient?: BoxOrientProperty | undefined;
        boxPack?: BoxPackProperty | undefined;
        clip?: string | undefined;
        fontVariantAlternates?: string | undefined;
        gridColumnGap?: GridColumnGapProperty<string | number> | undefined;
        gridGap?: GridGapProperty<string | number> | undefined;
        gridRowGap?: GridRowGapProperty<string | number> | undefined;
        imeMode?: ImeModeProperty | undefined;
        offsetBlock?: InsetBlockProperty<string | number> | undefined;
        offsetBlockEnd?: InsetBlockEndProperty<string | number> | undefined;
        offsetBlockStart?: InsetBlockStartProperty<string | number> | undefined;
        offsetInline?: InsetInlineProperty<string | number> | undefined;
        offsetInlineEnd?: InsetInlineEndProperty<string | number> | undefined;
        offsetInlineStart?: InsetInlineStartProperty<string | number> | undefined;
        scrollSnapCoordinate?: ScrollSnapCoordinateProperty<string | number> | undefined;
        scrollSnapDestination?: ScrollSnapDestinationProperty<string | number> | undefined;
        scrollSnapPointsX?: string | undefined;
        scrollSnapPointsY?: string | undefined;
        scrollSnapTypeX?: ScrollSnapTypeXProperty | undefined;
        scrollSnapTypeY?: ScrollSnapTypeYProperty | undefined;
        scrollbarTrackColor?: string | undefined;
        KhtmlBoxAlign?: BoxAlignProperty | undefined;
        KhtmlBoxDirection?: BoxDirectionProperty | undefined;
        KhtmlBoxFlex?: GlobalsNumber | undefined;
        KhtmlBoxFlexGroup?: GlobalsNumber | undefined;
        KhtmlBoxLines?: BoxLinesProperty | undefined;
        KhtmlBoxOrdinalGroup?: GlobalsNumber | undefined;
        KhtmlBoxOrient?: BoxOrientProperty | undefined;
        KhtmlBoxPack?: BoxPackProperty | undefined;
        KhtmlLineBreak?: LineBreakProperty | undefined;
        KhtmlOpacity?: OpacityProperty | undefined;
        KhtmlUserSelect?: UserSelectProperty | undefined;
        MozBackgroundClip?: string | undefined;
        MozBackgroundInlinePolicy?: BoxDecorationBreakProperty | undefined;
        MozBackgroundOrigin?: string | undefined;
        MozBackgroundSize?: BackgroundSizeProperty<string | number> | undefined;
        MozBinding?: string | undefined;
        MozBorderRadius?: BorderRadiusProperty<string | number> | undefined;
        MozBorderRadiusBottomleft?: BorderBottomLeftRadiusProperty<string | number> | undefined;
        MozBorderRadiusBottomright?: BorderBottomRightRadiusProperty<string | number> | undefined;
        MozBorderRadiusTopleft?: BorderTopLeftRadiusProperty<string | number> | undefined;
        MozBorderRadiusTopright?: BorderTopRightRadiusProperty<string | number> | undefined;
        MozBoxAlign?: BoxAlignProperty | undefined;
        MozBoxDirection?: BoxDirectionProperty | undefined;
        MozBoxFlex?: GlobalsNumber | undefined;
        MozBoxOrdinalGroup?: GlobalsNumber | undefined;
        MozBoxOrient?: BoxOrientProperty | undefined;
        MozBoxPack?: BoxPackProperty | undefined;
        MozBoxShadow?: string | undefined;
        MozFloatEdge?: MozFloatEdgeProperty | undefined;
        MozForceBrokenImageIcon?: MozForceBrokenImageIconProperty | undefined;
        MozOpacity?: OpacityProperty | undefined;
        MozOutline?: OutlineProperty<string | number> | undefined;
        MozOutlineColor?: string | undefined;
        MozOutlineRadius?: MozOutlineRadiusProperty<string | number> | undefined;
        MozOutlineRadiusBottomleft?: MozOutlineRadiusBottomleftProperty<string | number> | undefined;
        MozOutlineRadiusBottomright?: MozOutlineRadiusBottomrightProperty<string | number> | undefined;
        MozOutlineRadiusTopleft?: MozOutlineRadiusTopleftProperty<string | number> | undefined;
        MozOutlineRadiusTopright?: MozOutlineRadiusToprightProperty<string | number> | undefined;
        MozOutlineStyle?: string | undefined;
        MozOutlineWidth?: OutlineWidthProperty<string | number> | undefined;
        MozTextAlignLast?: TextAlignLastProperty | undefined;
        MozTextDecorationColor?: string | undefined;
        MozTextDecorationLine?: string | undefined;
        MozTextDecorationStyle?: TextDecorationStyleProperty | undefined;
        MozUserInput?: MozUserInputProperty | undefined;
        msImeMode?: ImeModeProperty | undefined;
        msScrollbarTrackColor?: string | undefined;
        OAnimation?: AnimationProperty | undefined;
        OAnimationDelay?: string | undefined;
        OAnimationDirection?: string | undefined;
        OAnimationDuration?: string | undefined;
        OAnimationFillMode?: string | undefined;
        OAnimationIterationCount?: AnimationIterationCountProperty | undefined;
        OAnimationName?: string | undefined;
        OAnimationPlayState?: string | undefined;
        OAnimationTimingFunction?: string | undefined;
        OBackgroundSize?: BackgroundSizeProperty<string | number> | undefined;
        OBorderImage?: BorderImageProperty | undefined;
        OObjectFit?: ObjectFitProperty | undefined;
        OObjectPosition?: ObjectPositionProperty<string | number> | undefined;
        OTabSize?: TabSizeProperty<string | number> | undefined;
        OTextOverflow?: string | undefined;
        OTransform?: string | undefined;
        OTransformOrigin?: TransformOriginProperty<string | number> | undefined;
        OTransition?: string | undefined;
        OTransitionDelay?: string | undefined;
        OTransitionDuration?: string | undefined;
        OTransitionProperty?: string | undefined;
        OTransitionTimingFunction?: string | undefined;
        WebkitBoxAlign?: BoxAlignProperty | undefined;
        WebkitBoxDirection?: BoxDirectionProperty | undefined;
        WebkitBoxFlex?: GlobalsNumber | undefined;
        WebkitBoxFlexGroup?: GlobalsNumber | undefined;
        WebkitBoxLines?: BoxLinesProperty | undefined;
        WebkitBoxOrdinalGroup?: GlobalsNumber | undefined;
        WebkitBoxOrient?: BoxOrientProperty | undefined;
        WebkitBoxPack?: BoxPackProperty | undefined;
        WebkitScrollSnapPointsX?: string | undefined;
        WebkitScrollSnapPointsY?: string | undefined;
        alignmentBaseline?: AlignmentBaselineProperty | undefined;
        baselineShift?: BaselineShiftProperty<string | number> | undefined;
        clipRule?: ClipRuleProperty | undefined;
        colorInterpolation?: ColorInterpolationProperty | undefined;
        colorRendering?: ColorRenderingProperty | undefined;
        dominantBaseline?: DominantBaselineProperty | undefined;
        fill?: string | undefined;
        fillOpacity?: GlobalsNumber | undefined;
        fillRule?: FillRuleProperty | undefined;
        floodColor?: string | undefined;
        floodOpacity?: GlobalsNumber | undefined;
        glyphOrientationVertical?: GlyphOrientationVerticalProperty | undefined;
        lightingColor?: string | undefined;
        marker?: string | undefined;
        markerEnd?: string | undefined;
        markerMid?: string | undefined;
        markerStart?: string | undefined;
        shapeRendering?: ShapeRenderingProperty | undefined;
        stopColor?: string | undefined;
        stopOpacity?: GlobalsNumber | undefined;
        stroke?: string | undefined;
        strokeDasharray?: StrokeDasharrayProperty<string | number> | undefined;
        strokeDashoffset?: StrokeDashoffsetProperty<string | number> | undefined;
        strokeLinecap?: StrokeLinecapProperty | undefined;
        strokeLinejoin?: StrokeLinejoinProperty | undefined;
        strokeMiterlimit?: GlobalsNumber | undefined;
        strokeOpacity?: GlobalsNumber | undefined;
        strokeWidth?: StrokeWidthProperty<string | number> | undefined;
        textAnchor?: TextAnchorProperty | undefined;
        vectorEffect?: VectorEffectProperty | undefined;
        "accent-color"?: string | undefined;
        "align-content"?: string | undefined;
        "align-items"?: string | undefined;
        "align-self"?: string | undefined;
        "align-tracks"?: string | undefined;
        "animation-delay"?: string | undefined;
        "animation-direction"?: string | undefined;
        "animation-duration"?: string | undefined;
        "animation-fill-mode"?: string | undefined;
        "animation-iteration-count"?: AnimationIterationCountProperty | undefined;
        "animation-name"?: string | undefined;
        "animation-play-state"?: string | undefined;
        "animation-timing-function"?: string | undefined;
        "aspect-ratio"?: string | undefined;
        "backdrop-filter"?: string | undefined;
        "backface-visibility"?: BackfaceVisibilityProperty | undefined;
        "background-attachment"?: string | undefined;
        "background-blend-mode"?: string | undefined;
        "background-clip"?: string | undefined;
        "background-color"?: string | undefined;
        "background-image"?: string | undefined;
        "background-origin"?: string | undefined;
        "background-position-x"?: BackgroundPositionXProperty<string | number> | undefined;
        "background-position-y"?: BackgroundPositionYProperty<string | number> | undefined;
        "background-repeat"?: string | undefined;
        "background-size"?: BackgroundSizeProperty<string | number> | undefined;
        "block-overflow"?: string | undefined;
        "block-size"?: BlockSizeProperty<string | number> | undefined;
        "border-block-color"?: string | undefined;
        "border-block-end-color"?: string | undefined;
        "border-block-end-style"?: BorderBlockEndStyleProperty | undefined;
        "border-block-end-width"?: BorderBlockEndWidthProperty<string | number> | undefined;
        "border-block-start-color"?: string | undefined;
        "border-block-start-style"?: BorderBlockStartStyleProperty | undefined;
        "border-block-start-width"?: BorderBlockStartWidthProperty<string | number> | undefined;
        "border-block-style"?: BorderBlockStyleProperty | undefined;
        "border-block-width"?: BorderBlockWidthProperty<string | number> | undefined;
        "border-bottom-color"?: string | undefined;
        "border-bottom-left-radius"?: BorderBottomLeftRadiusProperty<string | number> | undefined;
        "border-bottom-right-radius"?: BorderBottomRightRadiusProperty<string | number> | undefined;
        "border-bottom-style"?: BorderBottomStyleProperty | undefined;
        "border-bottom-width"?: BorderBottomWidthProperty<string | number> | undefined;
        "border-collapse"?: BorderCollapseProperty | undefined;
        "border-end-end-radius"?: BorderEndEndRadiusProperty<string | number> | undefined;
        "border-end-start-radius"?: BorderEndStartRadiusProperty<string | number> | undefined;
        "border-image-outset"?: BorderImageOutsetProperty<string | number> | undefined;
        "border-image-repeat"?: string | undefined;
        "border-image-slice"?: BorderImageSliceProperty | undefined;
        "border-image-source"?: string | undefined;
        "border-image-width"?: BorderImageWidthProperty<string | number> | undefined;
        "border-inline-color"?: string | undefined;
        "border-inline-end-color"?: string | undefined;
        "border-inline-end-style"?: BorderInlineEndStyleProperty | undefined;
        "border-inline-end-width"?: BorderInlineEndWidthProperty<string | number> | undefined;
        "border-inline-start-color"?: string | undefined;
        "border-inline-start-style"?: BorderInlineStartStyleProperty | undefined;
        "border-inline-start-width"?: BorderInlineStartWidthProperty<string | number> | undefined;
        "border-inline-style"?: BorderInlineStyleProperty | undefined;
        "border-inline-width"?: BorderInlineWidthProperty<string | number> | undefined;
        "border-left-color"?: string | undefined;
        "border-left-style"?: BorderLeftStyleProperty | undefined;
        "border-left-width"?: BorderLeftWidthProperty<string | number> | undefined;
        "border-right-color"?: string | undefined;
        "border-right-style"?: BorderRightStyleProperty | undefined;
        "border-right-width"?: BorderRightWidthProperty<string | number> | undefined;
        "border-spacing"?: BorderSpacingProperty<string | number> | undefined;
        "border-start-end-radius"?: BorderStartEndRadiusProperty<string | number> | undefined;
        "border-start-start-radius"?: BorderStartStartRadiusProperty<string | number> | undefined;
        "border-top-color"?: string | undefined;
        "border-top-left-radius"?: BorderTopLeftRadiusProperty<string | number> | undefined;
        "border-top-right-radius"?: BorderTopRightRadiusProperty<string | number> | undefined;
        "border-top-style"?: BorderTopStyleProperty | undefined;
        "border-top-width"?: BorderTopWidthProperty<string | number> | undefined;
        "box-decoration-break"?: BoxDecorationBreakProperty | undefined;
        "box-shadow"?: string | undefined;
        "box-sizing"?: BoxSizingProperty | undefined;
        "break-after"?: BreakAfterProperty | undefined;
        "break-before"?: BreakBeforeProperty | undefined;
        "break-inside"?: BreakInsideProperty | undefined;
        "caption-side"?: CaptionSideProperty | undefined;
        "caret-color"?: string | undefined;
        "clip-path"?: string | undefined;
        "color-adjust"?: ColorAdjustProperty | undefined;
        "color-scheme"?: string | undefined;
        "column-count"?: ColumnCountProperty | undefined;
        "column-fill"?: ColumnFillProperty | undefined;
        "column-gap"?: ColumnGapProperty<string | number> | undefined;
        "column-rule-color"?: string | undefined;
        "column-rule-style"?: string | undefined;
        "column-rule-width"?: ColumnRuleWidthProperty<string | number> | undefined;
        "column-span"?: ColumnSpanProperty | undefined;
        "column-width"?: ColumnWidthProperty<string | number> | undefined;
        "content-visibility"?: ContentVisibilityProperty | undefined;
        "counter-increment"?: string | undefined;
        "counter-reset"?: string | undefined;
        "counter-set"?: string | undefined;
        "empty-cells"?: EmptyCellsProperty | undefined;
        "flex-basis"?: FlexBasisProperty<string | number> | undefined;
        "flex-direction"?: FlexDirectionProperty | undefined;
        "flex-grow"?: GlobalsNumber | undefined;
        "flex-shrink"?: GlobalsNumber | undefined;
        "flex-wrap"?: FlexWrapProperty | undefined;
        "font-family"?: string | undefined;
        "font-feature-settings"?: string | undefined;
        "font-kerning"?: FontKerningProperty | undefined;
        "font-language-override"?: string | undefined;
        "font-optical-sizing"?: FontOpticalSizingProperty | undefined;
        "font-size"?: FontSizeProperty<string | number> | undefined;
        "font-size-adjust"?: FontSizeAdjustProperty | undefined;
        "font-smooth"?: FontSmoothProperty<string | number> | undefined;
        "font-stretch"?: string | undefined;
        "font-style"?: string | undefined;
        "font-synthesis"?: string | undefined;
        "font-variant"?: string | undefined;
        "font-variant-caps"?: FontVariantCapsProperty | undefined;
        "font-variant-east-asian"?: string | undefined;
        "font-variant-ligatures"?: string | undefined;
        "font-variant-numeric"?: string | undefined;
        "font-variant-position"?: FontVariantPositionProperty | undefined;
        "font-variation-settings"?: string | undefined;
        "font-weight"?: FontWeightProperty | undefined;
        "forced-color-adjust"?: ForcedColorAdjustProperty | undefined;
        "grid-auto-columns"?: GridAutoColumnsProperty<string | number> | undefined;
        "grid-auto-flow"?: string | undefined;
        "grid-auto-rows"?: GridAutoRowsProperty<string | number> | undefined;
        "grid-column-end"?: GridColumnEndProperty | undefined;
        "grid-column-start"?: GridColumnStartProperty | undefined;
        "grid-row-end"?: GridRowEndProperty | undefined;
        "grid-row-start"?: GridRowStartProperty | undefined;
        "grid-template-areas"?: string | undefined;
        "grid-template-columns"?: GridTemplateColumnsProperty<string | number> | undefined;
        "grid-template-rows"?: GridTemplateRowsProperty<string | number> | undefined;
        "hanging-punctuation"?: string | undefined;
        "image-orientation"?: string | undefined;
        "image-rendering"?: ImageRenderingProperty | undefined;
        "image-resolution"?: string | undefined;
        "initial-letter"?: InitialLetterProperty | undefined;
        "inline-size"?: InlineSizeProperty<string | number> | undefined;
        "inset-block"?: InsetBlockProperty<string | number> | undefined;
        "inset-block-end"?: InsetBlockEndProperty<string | number> | undefined;
        "inset-block-start"?: InsetBlockStartProperty<string | number> | undefined;
        "inset-inline"?: InsetInlineProperty<string | number> | undefined;
        "inset-inline-end"?: InsetInlineEndProperty<string | number> | undefined;
        "inset-inline-start"?: InsetInlineStartProperty<string | number> | undefined;
        "justify-content"?: string | undefined;
        "justify-items"?: string | undefined;
        "justify-self"?: string | undefined;
        "justify-tracks"?: string | undefined;
        "letter-spacing"?: LetterSpacingProperty<string | number> | undefined;
        "line-break"?: LineBreakProperty | undefined;
        "line-height"?: LineHeightProperty<string | number> | undefined;
        "line-height-step"?: LineHeightStepProperty<string | number> | undefined;
        "list-style-image"?: string | undefined;
        "list-style-position"?: ListStylePositionProperty | undefined;
        "list-style-type"?: string | undefined;
        "margin-block"?: MarginBlockProperty<string | number> | undefined;
        "margin-block-end"?: MarginBlockEndProperty<string | number> | undefined;
        "margin-block-start"?: MarginBlockStartProperty<string | number> | undefined;
        "margin-bottom"?: MarginBottomProperty<string | number> | undefined;
        "margin-inline"?: MarginInlineProperty<string | number> | undefined;
        "margin-inline-end"?: MarginInlineEndProperty<string | number> | undefined;
        "margin-inline-start"?: MarginInlineStartProperty<string | number> | undefined;
        "margin-left"?: MarginLeftProperty<string | number> | undefined;
        "margin-right"?: MarginRightProperty<string | number> | undefined;
        "margin-top"?: MarginTopProperty<string | number> | undefined;
        "mask-border-mode"?: MaskBorderModeProperty | undefined;
        "mask-border-outset"?: MaskBorderOutsetProperty<string | number> | undefined;
        "mask-border-repeat"?: string | undefined;
        "mask-border-slice"?: MaskBorderSliceProperty | undefined;
        "mask-border-source"?: string | undefined;
        "mask-border-width"?: MaskBorderWidthProperty<string | number> | undefined;
        "mask-clip"?: string | undefined;
        "mask-composite"?: string | undefined;
        "mask-image"?: string | undefined;
        "mask-mode"?: string | undefined;
        "mask-origin"?: string | undefined;
        "mask-position"?: MaskPositionProperty<string | number> | undefined;
        "mask-repeat"?: string | undefined;
        "mask-size"?: MaskSizeProperty<string | number> | undefined;
        "mask-type"?: MaskTypeProperty | undefined;
        "math-style"?: MathStyleProperty | undefined;
        "max-block-size"?: MaxBlockSizeProperty<string | number> | undefined;
        "max-height"?: MaxHeightProperty<string | number> | undefined;
        "max-inline-size"?: MaxInlineSizeProperty<string | number> | undefined;
        "max-lines"?: MaxLinesProperty | undefined;
        "max-width"?: MaxWidthProperty<string | number> | undefined;
        "min-block-size"?: MinBlockSizeProperty<string | number> | undefined;
        "min-height"?: MinHeightProperty<string | number> | undefined;
        "min-inline-size"?: MinInlineSizeProperty<string | number> | undefined;
        "min-width"?: MinWidthProperty<string | number> | undefined;
        "mix-blend-mode"?: MixBlendModeProperty | undefined;
        "motion-distance"?: OffsetDistanceProperty<string | number> | undefined;
        "motion-path"?: string | undefined;
        "motion-rotation"?: string | undefined;
        "object-fit"?: ObjectFitProperty | undefined;
        "object-position"?: ObjectPositionProperty<string | number> | undefined;
        "offset-anchor"?: OffsetAnchorProperty<string | number> | undefined;
        "offset-distance"?: OffsetDistanceProperty<string | number> | undefined;
        "offset-path"?: string | undefined;
        "offset-rotate"?: string | undefined;
        "offset-rotation"?: string | undefined;
        "outline-color"?: string | undefined;
        "outline-offset"?: OutlineOffsetProperty<string | number> | undefined;
        "outline-style"?: string | undefined;
        "outline-width"?: OutlineWidthProperty<string | number> | undefined;
        "overflow-anchor"?: OverflowAnchorProperty | undefined;
        "overflow-block"?: OverflowBlockProperty | undefined;
        "overflow-clip-box"?: OverflowClipBoxProperty | undefined;
        "overflow-clip-margin"?: OverflowClipMarginProperty<string | number> | undefined;
        "overflow-inline"?: OverflowInlineProperty | undefined;
        "overflow-wrap"?: OverflowWrapProperty | undefined;
        "overflow-x"?: OverflowXProperty | undefined;
        "overflow-y"?: OverflowYProperty | undefined;
        "overscroll-behavior-block"?: OverscrollBehaviorBlockProperty | undefined;
        "overscroll-behavior-inline"?: OverscrollBehaviorInlineProperty | undefined;
        "overscroll-behavior-x"?: OverscrollBehaviorXProperty | undefined;
        "overscroll-behavior-y"?: OverscrollBehaviorYProperty | undefined;
        "padding-block"?: PaddingBlockProperty<string | number> | undefined;
        "padding-block-end"?: PaddingBlockEndProperty<string | number> | undefined;
        "padding-block-start"?: PaddingBlockStartProperty<string | number> | undefined;
        "padding-bottom"?: PaddingBottomProperty<string | number> | undefined;
        "padding-inline"?: PaddingInlineProperty<string | number> | undefined;
        "padding-inline-end"?: PaddingInlineEndProperty<string | number> | undefined;
        "padding-inline-start"?: PaddingInlineStartProperty<string | number> | undefined;
        "padding-left"?: PaddingLeftProperty<string | number> | undefined;
        "padding-right"?: PaddingRightProperty<string | number> | undefined;
        "padding-top"?: PaddingTopProperty<string | number> | undefined;
        "page-break-after"?: PageBreakAfterProperty | undefined;
        "page-break-before"?: PageBreakBeforeProperty | undefined;
        "page-break-inside"?: PageBreakInsideProperty | undefined;
        "paint-order"?: string | undefined;
        "perspective-origin"?: PerspectiveOriginProperty<string | number> | undefined;
        "place-content"?: string | undefined;
        "pointer-events"?: PointerEventsProperty | undefined;
        "row-gap"?: RowGapProperty<string | number> | undefined;
        "ruby-align"?: RubyAlignProperty | undefined;
        "ruby-merge"?: RubyMergeProperty | undefined;
        "ruby-position"?: string | undefined;
        "scroll-behavior"?: ScrollBehaviorProperty | undefined;
        "scroll-margin"?: ScrollMarginProperty<string | number> | undefined;
        "scroll-margin-block"?: ScrollMarginBlockProperty<string | number> | undefined;
        "scroll-margin-block-end"?: ScrollMarginBlockEndProperty<string | number> | undefined;
        "scroll-margin-block-start"?: ScrollMarginBlockStartProperty<string | number> | undefined;
        "scroll-margin-bottom"?: ScrollMarginBottomProperty<string | number> | undefined;
        "scroll-margin-inline"?: ScrollMarginInlineProperty<string | number> | undefined;
        "scroll-margin-inline-end"?: ScrollMarginInlineEndProperty<string | number> | undefined;
        "scroll-margin-inline-start"?: ScrollMarginInlineStartProperty<string | number> | undefined;
        "scroll-margin-left"?: ScrollMarginLeftProperty<string | number> | undefined;
        "scroll-margin-right"?: ScrollMarginRightProperty<string | number> | undefined;
        "scroll-margin-top"?: ScrollMarginTopProperty<string | number> | undefined;
        "scroll-padding"?: ScrollPaddingProperty<string | number> | undefined;
        "scroll-padding-block"?: ScrollPaddingBlockProperty<string | number> | undefined;
        "scroll-padding-block-end"?: ScrollPaddingBlockEndProperty<string | number> | undefined;
        "scroll-padding-block-start"?: ScrollPaddingBlockStartProperty<string | number> | undefined;
        "scroll-padding-bottom"?: ScrollPaddingBottomProperty<string | number> | undefined;
        "scroll-padding-inline"?: ScrollPaddingInlineProperty<string | number> | undefined;
        "scroll-padding-inline-end"?: ScrollPaddingInlineEndProperty<string | number> | undefined;
        "scroll-padding-inline-start"?: ScrollPaddingInlineStartProperty<string | number> | undefined;
        "scroll-padding-left"?: ScrollPaddingLeftProperty<string | number> | undefined;
        "scroll-padding-right"?: ScrollPaddingRightProperty<string | number> | undefined;
        "scroll-padding-top"?: ScrollPaddingTopProperty<string | number> | undefined;
        "scroll-snap-align"?: string | undefined;
        "scroll-snap-margin"?: ScrollMarginProperty<string | number> | undefined;
        "scroll-snap-margin-bottom"?: ScrollMarginBottomProperty<string | number> | undefined;
        "scroll-snap-margin-left"?: ScrollMarginLeftProperty<string | number> | undefined;
        "scroll-snap-margin-right"?: ScrollMarginRightProperty<string | number> | undefined;
        "scroll-snap-margin-top"?: ScrollMarginTopProperty<string | number> | undefined;
        "scroll-snap-stop"?: ScrollSnapStopProperty | undefined;
        "scroll-snap-type"?: string | undefined;
        "scrollbar-color"?: string | undefined;
        "scrollbar-gutter"?: string | undefined;
        "scrollbar-width"?: ScrollbarWidthProperty | undefined;
        "shape-image-threshold"?: ShapeImageThresholdProperty | undefined;
        "shape-margin"?: ShapeMarginProperty<string | number> | undefined;
        "shape-outside"?: string | undefined;
        "tab-size"?: TabSizeProperty<string | number> | undefined;
        "table-layout"?: TableLayoutProperty | undefined;
        "text-align"?: TextAlignProperty | undefined;
        "text-align-last"?: TextAlignLastProperty | undefined;
        "text-combine-upright"?: string | undefined;
        "text-decoration-color"?: string | undefined;
        "text-decoration-line"?: string | undefined;
        "text-decoration-skip"?: string | undefined;
        "text-decoration-skip-ink"?: TextDecorationSkipInkProperty | undefined;
        "text-decoration-style"?: TextDecorationStyleProperty | undefined;
        "text-decoration-thickness"?: TextDecorationThicknessProperty<string | number> | undefined;
        "text-decoration-width"?: TextDecorationThicknessProperty<string | number> | undefined;
        "text-emphasis-color"?: string | undefined;
        "text-emphasis-position"?: string | undefined;
        "text-emphasis-style"?: string | undefined;
        "text-indent"?: TextIndentProperty<string | number> | undefined;
        "text-justify"?: TextJustifyProperty | undefined;
        "text-orientation"?: TextOrientationProperty | undefined;
        "text-overflow"?: string | undefined;
        "text-rendering"?: TextRenderingProperty | undefined;
        "text-shadow"?: string | undefined;
        "text-size-adjust"?: string | undefined;
        "text-transform"?: TextTransformProperty | undefined;
        "text-underline-offset"?: TextUnderlineOffsetProperty<string | number> | undefined;
        "text-underline-position"?: string | undefined;
        "touch-action"?: string | undefined;
        "transform-box"?: TransformBoxProperty | undefined;
        "transform-origin"?: TransformOriginProperty<string | number> | undefined;
        "transform-style"?: TransformStyleProperty | undefined;
        "transition-delay"?: string | undefined;
        "transition-duration"?: string | undefined;
        "transition-property"?: string | undefined;
        "transition-timing-function"?: string | undefined;
        "unicode-bidi"?: UnicodeBidiProperty | undefined;
        "user-select"?: UserSelectProperty | undefined;
        "vertical-align"?: VerticalAlignProperty<string | number> | undefined;
        "white-space"?: WhiteSpaceProperty | undefined;
        "will-change"?: string | undefined;
        "word-break"?: WordBreakProperty | undefined;
        "word-spacing"?: WordSpacingProperty<string | number> | undefined;
        "word-wrap"?: WordWrapProperty | undefined;
        "writing-mode"?: WritingModeProperty | undefined;
        "z-index"?: ZIndexProperty | undefined;
        "background-position"?: BackgroundPositionProperty<string | number> | undefined;
        "border-block"?: BorderBlockProperty<string | number> | undefined;
        "border-block-end"?: BorderBlockEndProperty<string | number> | undefined;
        "border-block-start"?: BorderBlockStartProperty<string | number> | undefined;
        "border-bottom"?: BorderBottomProperty<string | number> | undefined;
        "border-color"?: string | undefined;
        "border-image"?: BorderImageProperty | undefined;
        "border-inline"?: BorderInlineProperty<string | number> | undefined;
        "border-inline-end"?: BorderInlineEndProperty<string | number> | undefined;
        "border-inline-start"?: BorderInlineStartProperty<string | number> | undefined;
        "border-left"?: BorderLeftProperty<string | number> | undefined;
        "border-radius"?: BorderRadiusProperty<string | number> | undefined;
        "border-right"?: BorderRightProperty<string | number> | undefined;
        "border-style"?: string | undefined;
        "border-top"?: BorderTopProperty<string | number> | undefined;
        "border-width"?: BorderWidthProperty<string | number> | undefined;
        "column-rule"?: ColumnRuleProperty<string | number> | undefined;
        "flex-flow"?: string | undefined;
        "grid-area"?: GridAreaProperty | undefined;
        "grid-column"?: GridColumnProperty | undefined;
        "grid-row"?: GridRowProperty | undefined;
        "grid-template"?: string | undefined;
        "line-clamp"?: LineClampProperty | undefined;
        "list-style"?: string | undefined;
        "mask-border"?: MaskBorderProperty | undefined;
        "overscroll-behavior"?: string | undefined;
        "place-items"?: string | undefined;
        "place-self"?: string | undefined;
        "text-decoration"?: TextDecorationProperty<string | number> | undefined;
        "text-emphasis"?: string | undefined;
        "-moz-animation-delay"?: string | undefined;
        "-moz-animation-direction"?: string | undefined;
        "-moz-animation-duration"?: string | undefined;
        "-moz-animation-fill-mode"?: string | undefined;
        "-moz-animation-iteration-count"?: AnimationIterationCountProperty | undefined;
        "-moz-animation-name"?: string | undefined;
        "-moz-animation-play-state"?: string | undefined;
        "-moz-animation-timing-function"?: string | undefined;
        "-moz-appearance"?: MozAppearanceProperty | undefined;
        "-moz-backface-visibility"?: BackfaceVisibilityProperty | undefined;
        "-moz-border-bottom-colors"?: string | undefined;
        "-moz-border-end-color"?: string | undefined;
        "-moz-border-end-style"?: BorderInlineEndStyleProperty | undefined;
        "-moz-border-end-width"?: BorderInlineEndWidthProperty<string | number> | undefined;
        "-moz-border-left-colors"?: string | undefined;
        "-moz-border-right-colors"?: string | undefined;
        "-moz-border-start-color"?: string | undefined;
        "-moz-border-start-style"?: BorderInlineStartStyleProperty | undefined;
        "-moz-border-top-colors"?: string | undefined;
        "-moz-box-sizing"?: BoxSizingProperty | undefined;
        "-moz-column-count"?: ColumnCountProperty | undefined;
        "-moz-column-fill"?: ColumnFillProperty | undefined;
        "-moz-column-gap"?: ColumnGapProperty<string | number> | undefined;
        "-moz-column-rule-color"?: string | undefined;
        "-moz-column-rule-style"?: string | undefined;
        "-moz-column-rule-width"?: ColumnRuleWidthProperty<string | number> | undefined;
        "-moz-column-width"?: ColumnWidthProperty<string | number> | undefined;
        "-moz-context-properties"?: string | undefined;
        "-moz-font-feature-settings"?: string | undefined;
        "-moz-font-language-override"?: string | undefined;
        "-moz-hyphens"?: HyphensProperty | undefined;
        "-moz-image-region"?: string | undefined;
        "-moz-margin-end"?: MarginInlineEndProperty<string | number> | undefined;
        "-moz-margin-start"?: MarginInlineStartProperty<string | number> | undefined;
        "-moz-orient"?: MozOrientProperty | undefined;
        "-moz-osx-font-smoothing"?: FontSmoothProperty<string | number> | undefined;
        "-moz-padding-end"?: PaddingInlineEndProperty<string | number> | undefined;
        "-moz-padding-start"?: PaddingInlineStartProperty<string | number> | undefined;
        "-moz-perspective"?: PerspectiveProperty<string | number> | undefined;
        "-moz-perspective-origin"?: PerspectiveOriginProperty<string | number> | undefined;
        "-moz-stack-sizing"?: MozStackSizingProperty | undefined;
        "-moz-tab-size"?: TabSizeProperty<string | number> | undefined;
        "-moz-text-blink"?: MozTextBlinkProperty | undefined;
        "-moz-text-size-adjust"?: string | undefined;
        "-moz-transform-origin"?: TransformOriginProperty<string | number> | undefined;
        "-moz-transform-style"?: TransformStyleProperty | undefined;
        "-moz-transition-delay"?: string | undefined;
        "-moz-transition-duration"?: string | undefined;
        "-moz-transition-property"?: string | undefined;
        "-moz-transition-timing-function"?: string | undefined;
        "-moz-user-focus"?: MozUserFocusProperty | undefined;
        "-moz-user-modify"?: MozUserModifyProperty | undefined;
        "-moz-user-select"?: UserSelectProperty | undefined;
        "-moz-window-dragging"?: MozWindowDraggingProperty | undefined;
        "-moz-window-shadow"?: MozWindowShadowProperty | undefined;
        "-ms-accelerator"?: MsAcceleratorProperty | undefined;
        "-ms-align-self"?: string | undefined;
        "-ms-block-progression"?: MsBlockProgressionProperty | undefined;
        "-ms-content-zoom-chaining"?: MsContentZoomChainingProperty | undefined;
        "-ms-content-zoom-limit-max"?: string | undefined;
        "-ms-content-zoom-limit-min"?: string | undefined;
        "-ms-content-zoom-snap-points"?: string | undefined;
        "-ms-content-zoom-snap-type"?: MsContentZoomSnapTypeProperty | undefined;
        "-ms-content-zooming"?: MsContentZoomingProperty | undefined;
        "-ms-filter"?: string | undefined;
        "-ms-flex-direction"?: FlexDirectionProperty | undefined;
        "-ms-flex-positive"?: GlobalsNumber | undefined;
        "-ms-flow-from"?: string | undefined;
        "-ms-flow-into"?: string | undefined;
        "-ms-grid-columns"?: MsGridColumnsProperty<string | number> | undefined;
        "-ms-grid-rows"?: MsGridRowsProperty<string | number> | undefined;
        "-ms-high-contrast-adjust"?: MsHighContrastAdjustProperty | undefined;
        "-ms-hyphenate-limit-chars"?: MsHyphenateLimitCharsProperty | undefined;
        "-ms-hyphenate-limit-lines"?: MsHyphenateLimitLinesProperty | undefined;
        "-ms-hyphenate-limit-zone"?: MsHyphenateLimitZoneProperty<string | number> | undefined;
        "-ms-hyphens"?: HyphensProperty | undefined;
        "-ms-ime-align"?: MsImeAlignProperty | undefined;
        "-ms-justify-self"?: string | undefined;
        "-ms-line-break"?: LineBreakProperty | undefined;
        "-ms-order"?: GlobalsNumber | undefined;
        "-ms-overflow-style"?: MsOverflowStyleProperty | undefined;
        "-ms-overflow-x"?: OverflowXProperty | undefined;
        "-ms-overflow-y"?: OverflowYProperty | undefined;
        "-ms-scroll-chaining"?: MsScrollChainingProperty | undefined;
        "-ms-scroll-limit-x-max"?: MsScrollLimitXMaxProperty<string | number> | undefined;
        "-ms-scroll-limit-x-min"?: MsScrollLimitXMinProperty<string | number> | undefined;
        "-ms-scroll-limit-y-max"?: MsScrollLimitYMaxProperty<string | number> | undefined;
        "-ms-scroll-limit-y-min"?: MsScrollLimitYMinProperty<string | number> | undefined;
        "-ms-scroll-rails"?: MsScrollRailsProperty | undefined;
        "-ms-scroll-snap-points-x"?: string | undefined;
        "-ms-scroll-snap-points-y"?: string | undefined;
        "-ms-scroll-snap-type"?: MsScrollSnapTypeProperty | undefined;
        "-ms-scroll-translation"?: MsScrollTranslationProperty | undefined;
        "-ms-scrollbar-3dlight-color"?: string | undefined;
        "-ms-scrollbar-arrow-color"?: string | undefined;
        "-ms-scrollbar-base-color"?: string | undefined;
        "-ms-scrollbar-darkshadow-color"?: string | undefined;
        "-ms-scrollbar-face-color"?: string | undefined;
        "-ms-scrollbar-highlight-color"?: string | undefined;
        "-ms-scrollbar-shadow-color"?: string | undefined;
        "-ms-text-autospace"?: MsTextAutospaceProperty | undefined;
        "-ms-text-combine-horizontal"?: string | undefined;
        "-ms-text-overflow"?: string | undefined;
        "-ms-touch-action"?: string | undefined;
        "-ms-touch-select"?: MsTouchSelectProperty | undefined;
        "-ms-transform"?: string | undefined;
        "-ms-transform-origin"?: TransformOriginProperty<string | number> | undefined;
        "-ms-transition-delay"?: string | undefined;
        "-ms-transition-duration"?: string | undefined;
        "-ms-transition-property"?: string | undefined;
        "-ms-transition-timing-function"?: string | undefined;
        "-ms-user-select"?: MsUserSelectProperty | undefined;
        "-ms-word-break"?: WordBreakProperty | undefined;
        "-ms-wrap-flow"?: MsWrapFlowProperty | undefined;
        "-ms-wrap-margin"?: MsWrapMarginProperty<string | number> | undefined;
        "-ms-wrap-through"?: MsWrapThroughProperty | undefined;
        "-ms-writing-mode"?: WritingModeProperty | undefined;
        "-webkit-align-content"?: string | undefined;
        "-webkit-align-items"?: string | undefined;
        "-webkit-align-self"?: string | undefined;
        "-webkit-animation-delay"?: string | undefined;
        "-webkit-animation-direction"?: string | undefined;
        "-webkit-animation-duration"?: string | undefined;
        "-webkit-animation-fill-mode"?: string | undefined;
        "-webkit-animation-iteration-count"?: AnimationIterationCountProperty | undefined;
        "-webkit-animation-name"?: string | undefined;
        "-webkit-animation-play-state"?: string | undefined;
        "-webkit-animation-timing-function"?: string | undefined;
        "-webkit-appearance"?: WebkitAppearanceProperty | undefined;
        "-webkit-backdrop-filter"?: string | undefined;
        "-webkit-backface-visibility"?: BackfaceVisibilityProperty | undefined;
        "-webkit-background-clip"?: string | undefined;
        "-webkit-background-origin"?: string | undefined;
        "-webkit-background-size"?: BackgroundSizeProperty<string | number> | undefined;
        "-webkit-border-before-color"?: string | undefined;
        "-webkit-border-before-style"?: string | undefined;
        "-webkit-border-before-width"?: WebkitBorderBeforeWidthProperty<string | number> | undefined;
        "-webkit-border-bottom-left-radius"?: BorderBottomLeftRadiusProperty<string | number> | undefined;
        "-webkit-border-bottom-right-radius"?: BorderBottomRightRadiusProperty<string | number> | undefined;
        "-webkit-border-image-slice"?: BorderImageSliceProperty | undefined;
        "-webkit-border-top-left-radius"?: BorderTopLeftRadiusProperty<string | number> | undefined;
        "-webkit-border-top-right-radius"?: BorderTopRightRadiusProperty<string | number> | undefined;
        "-webkit-box-decoration-break"?: BoxDecorationBreakProperty | undefined;
        "-webkit-box-reflect"?: WebkitBoxReflectProperty<string | number> | undefined;
        "-webkit-box-shadow"?: string | undefined;
        "-webkit-box-sizing"?: BoxSizingProperty | undefined;
        "-webkit-clip-path"?: string | undefined;
        "-webkit-column-count"?: ColumnCountProperty | undefined;
        "-webkit-column-fill"?: ColumnFillProperty | undefined;
        "-webkit-column-gap"?: ColumnGapProperty<string | number> | undefined;
        "-webkit-column-rule-color"?: string | undefined;
        "-webkit-column-rule-style"?: string | undefined;
        "-webkit-column-rule-width"?: ColumnRuleWidthProperty<string | number> | undefined;
        "-webkit-column-span"?: ColumnSpanProperty | undefined;
        "-webkit-column-width"?: ColumnWidthProperty<string | number> | undefined;
        "-webkit-filter"?: string | undefined;
        "-webkit-flex-basis"?: FlexBasisProperty<string | number> | undefined;
        "-webkit-flex-direction"?: FlexDirectionProperty | undefined;
        "-webkit-flex-grow"?: GlobalsNumber | undefined;
        "-webkit-flex-shrink"?: GlobalsNumber | undefined;
        "-webkit-flex-wrap"?: FlexWrapProperty | undefined;
        "-webkit-font-feature-settings"?: string | undefined;
        "-webkit-font-kerning"?: FontKerningProperty | undefined;
        "-webkit-font-smoothing"?: FontSmoothProperty<string | number> | undefined;
        "-webkit-font-variant-ligatures"?: string | undefined;
        "-webkit-hyphens"?: HyphensProperty | undefined;
        "-webkit-initial-letter"?: InitialLetterProperty | undefined;
        "-webkit-justify-content"?: string | undefined;
        "-webkit-line-break"?: LineBreakProperty | undefined;
        "-webkit-line-clamp"?: WebkitLineClampProperty | undefined;
        "-webkit-margin-end"?: MarginInlineEndProperty<string | number> | undefined;
        "-webkit-margin-start"?: MarginInlineStartProperty<string | number> | undefined;
        "-webkit-mask-attachment"?: string | undefined;
        "-webkit-mask-box-image-outset"?: MaskBorderOutsetProperty<string | number> | undefined;
        "-webkit-mask-box-image-repeat"?: string | undefined;
        "-webkit-mask-box-image-slice"?: MaskBorderSliceProperty | undefined;
        "-webkit-mask-box-image-source"?: string | undefined;
        "-webkit-mask-box-image-width"?: MaskBorderWidthProperty<string | number> | undefined;
        "-webkit-mask-clip"?: string | undefined;
        "-webkit-mask-composite"?: string | undefined;
        "-webkit-mask-image"?: string | undefined;
        "-webkit-mask-origin"?: string | undefined;
        "-webkit-mask-position"?: WebkitMaskPositionProperty<string | number> | undefined;
        "-webkit-mask-position-x"?: WebkitMaskPositionXProperty<string | number> | undefined;
        "-webkit-mask-position-y"?: WebkitMaskPositionYProperty<string | number> | undefined;
        "-webkit-mask-repeat"?: string | undefined;
        "-webkit-mask-repeat-x"?: WebkitMaskRepeatXProperty | undefined;
        "-webkit-mask-repeat-y"?: WebkitMaskRepeatYProperty | undefined;
        "-webkit-mask-size"?: WebkitMaskSizeProperty<string | number> | undefined;
        "-webkit-max-inline-size"?: MaxInlineSizeProperty<string | number> | undefined;
        "-webkit-order"?: GlobalsNumber | undefined;
        "-webkit-overflow-scrolling"?: WebkitOverflowScrollingProperty | undefined;
        "-webkit-padding-end"?: PaddingInlineEndProperty<string | number> | undefined;
        "-webkit-padding-start"?: PaddingInlineStartProperty<string | number> | undefined;
        "-webkit-perspective"?: PerspectiveProperty<string | number> | undefined;
        "-webkit-perspective-origin"?: PerspectiveOriginProperty<string | number> | undefined;
        "-webkit-print-color-adjust"?: ColorAdjustProperty | undefined;
        "-webkit-ruby-position"?: string | undefined;
        "-webkit-scroll-snap-type"?: string | undefined;
        "-webkit-shape-margin"?: ShapeMarginProperty<string | number> | undefined;
        "-webkit-tap-highlight-color"?: string | undefined;
        "-webkit-text-combine"?: string | undefined;
        "-webkit-text-decoration-color"?: string | undefined;
        "-webkit-text-decoration-line"?: string | undefined;
        "-webkit-text-decoration-skip"?: string | undefined;
        "-webkit-text-decoration-style"?: TextDecorationStyleProperty | undefined;
        "-webkit-text-emphasis-color"?: string | undefined;
        "-webkit-text-emphasis-position"?: string | undefined;
        "-webkit-text-emphasis-style"?: string | undefined;
        "-webkit-text-fill-color"?: string | undefined;
        "-webkit-text-orientation"?: TextOrientationProperty | undefined;
        "-webkit-text-size-adjust"?: string | undefined;
        "-webkit-text-stroke-color"?: string | undefined;
        "-webkit-text-stroke-width"?: WebkitTextStrokeWidthProperty<string | number> | undefined;
        "-webkit-text-underline-position"?: string | undefined;
        "-webkit-touch-callout"?: WebkitTouchCalloutProperty | undefined;
        "-webkit-transform"?: string | undefined;
        "-webkit-transform-origin"?: TransformOriginProperty<string | number> | undefined;
        "-webkit-transform-style"?: TransformStyleProperty | undefined;
        "-webkit-transition-delay"?: string | undefined;
        "-webkit-transition-duration"?: string | undefined;
        "-webkit-transition-property"?: string | undefined;
        "-webkit-transition-timing-function"?: string | undefined;
        "-webkit-user-modify"?: WebkitUserModifyProperty | undefined;
        "-webkit-user-select"?: UserSelectProperty | undefined;
        "-webkit-writing-mode"?: WritingModeProperty | undefined;
        "-moz-animation"?: AnimationProperty | undefined;
        "-moz-border-image"?: BorderImageProperty | undefined;
        "-moz-column-rule"?: ColumnRuleProperty<string | number> | undefined;
        "-moz-columns"?: ColumnsProperty<string | number> | undefined;
        "-moz-transition"?: string | undefined;
        "-ms-content-zoom-limit"?: string | undefined;
        "-ms-content-zoom-snap"?: string | undefined;
        "-ms-flex"?: FlexProperty<string | number> | undefined;
        "-ms-scroll-limit"?: string | undefined;
        "-ms-scroll-snap-x"?: string | undefined;
        "-ms-scroll-snap-y"?: string | undefined;
        "-ms-transition"?: string | undefined;
        "-webkit-animation"?: AnimationProperty | undefined;
        "-webkit-border-before"?: WebkitBorderBeforeProperty<string | number> | undefined;
        "-webkit-border-image"?: BorderImageProperty | undefined;
        "-webkit-border-radius"?: BorderRadiusProperty<string | number> | undefined;
        "-webkit-column-rule"?: ColumnRuleProperty<string | number> | undefined;
        "-webkit-columns"?: ColumnsProperty<string | number> | undefined;
        "-webkit-flex"?: FlexProperty<string | number> | undefined;
        "-webkit-flex-flow"?: string | undefined;
        "-webkit-mask"?: WebkitMaskProperty<string | number> | undefined;
        "-webkit-mask-box-image"?: MaskBorderProperty | undefined;
        "-webkit-text-emphasis"?: string | undefined;
        "-webkit-text-stroke"?: WebkitTextStrokeProperty<string | number> | undefined;
        "-webkit-transition"?: string | undefined;
        "box-align"?: BoxAlignProperty | undefined;
        "box-direction"?: BoxDirectionProperty | undefined;
        "box-flex"?: GlobalsNumber | undefined;
        "box-flex-group"?: GlobalsNumber | undefined;
        "box-lines"?: BoxLinesProperty | undefined;
        "box-ordinal-group"?: GlobalsNumber | undefined;
        "box-orient"?: BoxOrientProperty | undefined;
        "box-pack"?: BoxPackProperty | undefined;
        "font-variant-alternates"?: string | undefined;
        "grid-column-gap"?: GridColumnGapProperty<string | number> | undefined;
        "grid-gap"?: GridGapProperty<string | number> | undefined;
        "grid-row-gap"?: GridRowGapProperty<string | number> | undefined;
        "ime-mode"?: ImeModeProperty | undefined;
        "offset-block"?: InsetBlockProperty<string | number> | undefined;
        "offset-block-end"?: InsetBlockEndProperty<string | number> | undefined;
        "offset-block-start"?: InsetBlockStartProperty<string | number> | undefined;
        "offset-inline"?: InsetInlineProperty<string | number> | undefined;
        "offset-inline-end"?: InsetInlineEndProperty<string | number> | undefined;
        "offset-inline-start"?: InsetInlineStartProperty<string | number> | undefined;
        "scroll-snap-coordinate"?: ScrollSnapCoordinateProperty<string | number> | undefined;
        "scroll-snap-destination"?: ScrollSnapDestinationProperty<string | number> | undefined;
        "scroll-snap-points-x"?: string | undefined;
        "scroll-snap-points-y"?: string | undefined;
        "scroll-snap-type-x"?: ScrollSnapTypeXProperty | undefined;
        "scroll-snap-type-y"?: ScrollSnapTypeYProperty | undefined;
        "scrollbar-track-color"?: string | undefined;
        "-khtml-box-align"?: BoxAlignProperty | undefined;
        "-khtml-box-direction"?: BoxDirectionProperty | undefined;
        "-khtml-box-flex"?: GlobalsNumber | undefined;
        "-khtml-box-flex-group"?: GlobalsNumber | undefined;
        "-khtml-box-lines"?: BoxLinesProperty | undefined;
        "-khtml-box-ordinal-group"?: GlobalsNumber | undefined;
        "-khtml-box-orient"?: BoxOrientProperty | undefined;
        "-khtml-box-pack"?: BoxPackProperty | undefined;
        "-khtml-line-break"?: LineBreakProperty | undefined;
        "-khtml-opacity"?: OpacityProperty | undefined;
        "-khtml-user-select"?: UserSelectProperty | undefined;
        "-moz-background-clip"?: string | undefined;
        "-moz-background-inline-policy"?: BoxDecorationBreakProperty | undefined;
        "-moz-background-origin"?: string | undefined;
        "-moz-background-size"?: BackgroundSizeProperty<string | number> | undefined;
        "-moz-binding"?: string | undefined;
        "-moz-border-radius"?: BorderRadiusProperty<string | number> | undefined;
        "-moz-border-radius-bottomleft"?: BorderBottomLeftRadiusProperty<string | number> | undefined;
        "-moz-border-radius-bottomright"?: BorderBottomRightRadiusProperty<string | number> | undefined;
        "-moz-border-radius-topleft"?: BorderTopLeftRadiusProperty<string | number> | undefined;
        "-moz-border-radius-topright"?: BorderTopRightRadiusProperty<string | number> | undefined;
        "-moz-box-align"?: BoxAlignProperty | undefined;
        "-moz-box-direction"?: BoxDirectionProperty | undefined;
        "-moz-box-flex"?: GlobalsNumber | undefined;
        "-moz-box-ordinal-group"?: GlobalsNumber | undefined;
        "-moz-box-orient"?: BoxOrientProperty | undefined;
        "-moz-box-pack"?: BoxPackProperty | undefined;
        "-moz-box-shadow"?: string | undefined;
        "-moz-float-edge"?: MozFloatEdgeProperty | undefined;
        "-moz-force-broken-image-icon"?: MozForceBrokenImageIconProperty | undefined;
        "-moz-opacity"?: OpacityProperty | undefined;
        "-moz-outline"?: OutlineProperty<string | number> | undefined;
        "-moz-outline-color"?: string | undefined;
        "-moz-outline-radius"?: MozOutlineRadiusProperty<string | number> | undefined;
        "-moz-outline-radius-bottomleft"?: MozOutlineRadiusBottomleftProperty<string | number> | undefined;
        "-moz-outline-radius-bottomright"?: MozOutlineRadiusBottomrightProperty<string | number> | undefined;
        "-moz-outline-radius-topleft"?: MozOutlineRadiusTopleftProperty<string | number> | undefined;
        "-moz-outline-radius-topright"?: MozOutlineRadiusToprightProperty<string | number> | undefined;
        "-moz-outline-style"?: string | undefined;
        "-moz-outline-width"?: OutlineWidthProperty<string | number> | undefined;
        "-moz-text-align-last"?: TextAlignLastProperty | undefined;
        "-moz-text-decoration-color"?: string | undefined;
        "-moz-text-decoration-line"?: string | undefined;
        "-moz-text-decoration-style"?: TextDecorationStyleProperty | undefined;
        "-moz-user-input"?: MozUserInputProperty | undefined;
        "-ms-ime-mode"?: ImeModeProperty | undefined;
        "-ms-scrollbar-track-color"?: string | undefined;
        "-o-animation"?: AnimationProperty | undefined;
        "-o-animation-delay"?: string | undefined;
        "-o-animation-direction"?: string | undefined;
        "-o-animation-duration"?: string | undefined;
        "-o-animation-fill-mode"?: string | undefined;
        "-o-animation-iteration-count"?: AnimationIterationCountProperty | undefined;
        "-o-animation-name"?: string | undefined;
        "-o-animation-play-state"?: string | undefined;
        "-o-animation-timing-function"?: string | undefined;
        "-o-background-size"?: BackgroundSizeProperty<string | number> | undefined;
        "-o-border-image"?: BorderImageProperty | undefined;
        "-o-object-fit"?: ObjectFitProperty | undefined;
        "-o-object-position"?: ObjectPositionProperty<string | number> | undefined;
        "-o-tab-size"?: TabSizeProperty<string | number> | undefined;
        "-o-text-overflow"?: string | undefined;
        "-o-transform"?: string | undefined;
        "-o-transform-origin"?: TransformOriginProperty<string | number> | undefined;
        "-o-transition"?: string | undefined;
        "-o-transition-delay"?: string | undefined;
        "-o-transition-duration"?: string | undefined;
        "-o-transition-property"?: string | undefined;
        "-o-transition-timing-function"?: string | undefined;
        "-webkit-box-align"?: BoxAlignProperty | undefined;
        "-webkit-box-direction"?: BoxDirectionProperty | undefined;
        "-webkit-box-flex"?: GlobalsNumber | undefined;
        "-webkit-box-flex-group"?: GlobalsNumber | undefined;
        "-webkit-box-lines"?: BoxLinesProperty | undefined;
        "-webkit-box-ordinal-group"?: GlobalsNumber | undefined;
        "-webkit-box-orient"?: BoxOrientProperty | undefined;
        "-webkit-box-pack"?: BoxPackProperty | undefined;
        "-webkit-scroll-snap-points-x"?: string | undefined;
        "-webkit-scroll-snap-points-y"?: string | undefined;
        "alignment-baseline"?: AlignmentBaselineProperty | undefined;
        "baseline-shift"?: BaselineShiftProperty<string | number> | undefined;
        "clip-rule"?: ClipRuleProperty | undefined;
        "color-interpolation"?: ColorInterpolationProperty | undefined;
        "color-rendering"?: ColorRenderingProperty | undefined;
        "dominant-baseline"?: DominantBaselineProperty | undefined;
        "fill-opacity"?: GlobalsNumber | undefined;
        "fill-rule"?: FillRuleProperty | undefined;
        "flood-color"?: string | undefined;
        "flood-opacity"?: GlobalsNumber | undefined;
        "glyph-orientation-vertical"?: GlyphOrientationVerticalProperty | undefined;
        "lighting-color"?: string | undefined;
        "marker-end"?: string | undefined;
        "marker-mid"?: string | undefined;
        "marker-start"?: string | undefined;
        "shape-rendering"?: ShapeRenderingProperty | undefined;
        "stop-color"?: string | undefined;
        "stop-opacity"?: GlobalsNumber | undefined;
        "stroke-dasharray"?: StrokeDasharrayProperty<string | number> | undefined;
        "stroke-dashoffset"?: StrokeDashoffsetProperty<string | number> | undefined;
        "stroke-linecap"?: StrokeLinecapProperty | undefined;
        "stroke-linejoin"?: StrokeLinejoinProperty | undefined;
        "stroke-miterlimit"?: GlobalsNumber | undefined;
        "stroke-opacity"?: GlobalsNumber | undefined;
        "stroke-width"?: StrokeWidthProperty<string | number> | undefined;
        "text-anchor"?: TextAnchorProperty | undefined;
        "vector-effect"?: VectorEffectProperty | undefined;
    }>;
    prevDisabled: ComputedRef<boolean>;
    nextDisabled: ComputedRef<boolean>;
    containerRef: Ref<HTMLDivElement | null>;
    zoomInDisabled: ComputedRef<boolean>;
    zoomOutDisabled: ComputedRef<boolean>;
    handleClose: () => void;
    handleMousewheel: (e: MouseEvent) => void;
    handleMousedown: (e: MouseEvent) => void;
    handleMousemove: (e: MouseEvent) => void;
    handleMouseup: () => void;
    handlePrev: () => void;
    handleNext: () => void;
    handleReset: () => void;
    handleRotate: (direction: 1 | 2) => void;
    handleZoom: (zoom: 1 | 2) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "update:show"[], "update:show", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    show?: unknown;
    index?: unknown;
    imgList?: unknown;
} & {
    show: boolean;
    imgList: string[];
    index: number;
} & {}> & {
    "onUpdate:show"?: ((...args: any[]) => any) | undefined;
}, {
    show: boolean;
    imgList: string[];
    index: number;
}>;
export default _default;
