import type { Plugin } from '@vue/runtime-core';
import type { LogoOpts } from './src/drawLogo';
import type { QRCodeRenderersOptions } from 'qrcode';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, Ref, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            options: QRCodeRenderersOptions;
            text: string;
            tag: "canvas" | "img" | "svg";
            logo: LogoOpts;
        }> & Omit<Readonly<{
            text?: unknown;
            options?: unknown;
            tag?: unknown;
            logo?: unknown;
        } & {
            options: QRCodeRenderersOptions;
            text: string;
            tag: "canvas" | "img" | "svg";
            logo: LogoOpts;
        } & {}> & {
            onCreated?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "options" | "text" | "tag" | "logo">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "created", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            text?: unknown;
            options?: unknown;
            tag?: unknown;
            logo?: unknown;
        } & {
            options: QRCodeRenderersOptions;
            text: string;
            tag: "canvas" | "img" | "svg";
            logo: LogoOpts;
        } & {}> & {
            onCreated?: ((...args: any[]) => any) | undefined;
        }, {
            qrCodeRef: Ref<HTMLCanvasElement | HTMLImageElement | SVGAElement | null>;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "created"[], string, {
            options: QRCodeRenderersOptions;
            text: string;
            tag: "canvas" | "img" | "svg";
            logo: LogoOpts;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        text?: unknown;
        options?: unknown;
        tag?: unknown;
        logo?: unknown;
    } & {
        options: QRCodeRenderersOptions;
        text: string;
        tag: "canvas" | "img" | "svg";
        logo: LogoOpts;
    } & {}> & {
        onCreated?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        qrCodeRef: Ref<HTMLCanvasElement | HTMLImageElement | SVGAElement | null>;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    text?: unknown;
    options?: unknown;
    tag?: unknown;
    logo?: unknown;
} & {
    options: QRCodeRenderersOptions;
    text: string;
    tag: "canvas" | "img" | "svg";
    logo: LogoOpts;
} & {}> & {
    onCreated?: ((...args: any[]) => any) | undefined;
}, {
    qrCodeRef: Ref<HTMLCanvasElement | HTMLImageElement | SVGAElement | null>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "created"[], "created", {
    options: QRCodeRenderersOptions;
    text: string;
    tag: "canvas" | "img" | "svg";
    logo: LogoOpts;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
