import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, WritableComputedRef, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare type OptionItem = {
    value: string | number;
    label: string;
    disabeld?: boolean;
};
declare type SelectProps = {
    fieldNames?: {
        label: string;
        value: string;
    };
    options: OptionItem[];
    defaultActiveFirstOption?: boolean;
    allowClear?: boolean;
    placeholder?: string;
};
declare type InputProps = {
    allowClear?: boolean;
    maxlength?: number;
    disabled?: boolean;
    id?: string;
    suffix?: string;
};
declare const _default: DefineComponent<{
    value: VueTypeValidableDef<[string | number, string]> & {
        default: () => [string | number, string];
    };
    selectProps: VueTypeValidableDef<SelectProps> & {
        default: () => SelectProps;
    };
    inputProps: VueTypeValidableDef<InputProps> & {
        default: () => InputProps;
    };
}, {
    prefixCls: string;
    innerSelectValue: WritableComputedRef<string | number>;
    innerInputValue: WritableComputedRef<string>;
    getSelectBinds: ComputedRef<{
        options: {
            label: any;
            value: any;
        }[];
        fieldNames?: {
            label: string;
            value: string;
        } | undefined;
        defaultActiveFirstOption?: boolean | undefined;
        allowClear: boolean;
        placeholder: string;
    }>;
    getInputBinds: ComputedRef<{
        allowClear: boolean;
        maxlength?: number | undefined;
        disabled?: boolean | undefined;
        id?: string | undefined;
        suffix?: string | undefined;
    }>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value")[], "change" | "update:value", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    value?: unknown;
    selectProps?: unknown;
    inputProps?: unknown;
} & {
    value: [string | number, string];
    selectProps: SelectProps;
    inputProps: InputProps;
} & {}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    value: [string | number, string];
    selectProps: SelectProps;
    inputProps: InputProps;
}>;
export default _default;
