import type { PaginationProps } from '../../pagination';
import type { VueTypeDef, VueTypeValidableDef } from 'vue-types';
import type { TableSetting } from '../types/table';
import type { ColumnChangeParam } from '../types/column';
import type { Recordable } from '../../typings/global';
import type { TitleActionItem } from '../types/tableAction';
import type { TopTabPane } from '../types/tableTabs';
import type { DefineComponent, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, Ref } from 'vue';
declare const _default: DefineComponent<{
    title: VueTypeDef<string | ((data: Recordable) => string)>;
    tableSetting: VueTypeValidableDef<TableSetting>;
    showSettingColumn: BooleanConstructor;
    titleHelpMessage: VueTypeDef<string | string[]>;
    titleActions: VueTypeValidableDef<TitleActionItem[]>;
}, {
    activedKey: Ref<string | number | undefined>;
    tabs: Ref<TopTabPane[] | undefined>;
    handleTabClick: (activeKey: TopTabPane) => void;
    prefixCls: string;
    handleColumnChange: (data: ColumnChangeParam[]) => void;
    showPagination: ComputedRef<boolean>;
    paginationBinds: ComputedRef<PaginationProps>;
    handlePaginationChange: (current: number, pageSize: number) => void;
    getBindValues: ComputedRef<Recordable<any>>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "columns-change"[], "columns-change", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    title?: unknown;
    tableSetting?: unknown;
    showSettingColumn?: unknown;
    titleHelpMessage?: unknown;
    titleActions?: unknown;
} & {
    showSettingColumn: boolean;
} & {
    title?: string | ((data: Recordable) => string) | undefined;
    tableSetting?: TableSetting | undefined;
    titleHelpMessage?: string | string[] | undefined;
    titleActions?: TitleActionItem[] | undefined;
}> & {
    "onColumns-change"?: ((...args: any[]) => any) | undefined;
}, {
    showSettingColumn: boolean;
}>;
export default _default;
