import type { TriggerType } from 'ant-design-vue/es/tooltip/abstractTooltipProps';
import type { AlignType, BuildInPlacements } from 'ant-design-vue/es/vc-trigger/interface';
import type { TooltipPlacement, AdjustOverflow } from 'ant-design-vue/es/tooltip';
import type { ENode } from '../types/column';
/** 超出省略显示 */
import type { DefineComponent, CSSProperties, Ref, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, PropType } from 'vue';
declare const _default: DefineComponent<{
    /** 内容，同 content，可以单独自定义浮层内容，无需和触发元素保持一致 */
    tooltipContent: {
        type: PropType<string | number | ENode | undefined>;
    };
    /** 浮层位置 */
    placement: PropType<TooltipPlacement | undefined>;
    /** 挂载元素 */
    getPopupContainer: PropType<(() => HTMLElement) | undefined>;
    /** 透传 Tooltip 组件属性 */
    tooltipProps: PropType<Partial<{
        title?: unknown;
        trigger?: unknown;
        visible?: unknown;
        defaultVisible?: unknown;
        placement?: unknown;
        color?: unknown;
        transitionName?: unknown;
        overlayStyle?: unknown;
        overlayClassName?: unknown;
        openClassName?: unknown;
        prefixCls?: unknown;
        mouseEnterDelay?: unknown;
        mouseLeaveDelay?: unknown;
        getPopupContainer?: unknown;
        arrowPointAtCenter?: unknown;
        autoAdjustOverflow?: unknown;
        destroyTooltipOnHide?: unknown;
        align?: unknown;
        builtinPlacements?: unknown;
        children?: unknown;
        onVisibleChange?: unknown;
        'onUpdate:visible'?: unknown;
    } & {
        overlayStyle: CSSProperties;
        autoAdjustOverflow: boolean | AdjustOverflow;
        align: AlignType;
        builtinPlacements: BuildInPlacements;
    } & {
        placement?: TooltipPlacement | undefined;
        prefixCls?: string | undefined;
        getPopupContainer?: ((triggerNode: HTMLElement) => HTMLElement) | undefined;
        transitionName?: string | undefined;
        children?: unknown[] | undefined;
        title?: any;
        color?: string | undefined;
        trigger?: TriggerType | TriggerType[] | undefined;
        visible?: boolean | undefined;
        defaultVisible?: boolean | undefined;
        overlayClassName?: string | undefined;
        openClassName?: string | undefined;
        mouseEnterDelay?: number | undefined;
        mouseLeaveDelay?: number | undefined;
        arrowPointAtCenter?: boolean | undefined;
        destroyTooltipOnHide?: boolean | undefined;
        onVisibleChange?: ((vis: boolean) => void) | undefined;
        "onUpdate:visible"?: ((vis: boolean) => void) | undefined;
    }> | undefined>;
    overlayClassName: StringConstructor;
}, {
    root: Ref<any>;
    isOverflow: Ref<boolean>;
    ellipsisClasses: ComputedRef<string[]>;
    innerEllipsisClassName: ComputedRef<string | undefined>;
    onMouseAround: (this: any, ...args: any[]) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    tooltipContent?: unknown;
    placement?: unknown;
    getPopupContainer?: unknown;
    tooltipProps?: unknown;
    overlayClassName?: unknown;
} & {} & {
    placement?: TooltipPlacement | undefined;
    getPopupContainer?: (() => HTMLElement) | undefined;
    overlayClassName?: string | undefined;
    tooltipContent?: string | number | ENode | undefined;
    tooltipProps?: Partial<{
        title?: unknown;
        trigger?: unknown;
        visible?: unknown;
        defaultVisible?: unknown;
        placement?: unknown;
        color?: unknown;
        transitionName?: unknown;
        overlayStyle?: unknown;
        overlayClassName?: unknown;
        openClassName?: unknown;
        prefixCls?: unknown;
        mouseEnterDelay?: unknown;
        mouseLeaveDelay?: unknown;
        getPopupContainer?: unknown;
        arrowPointAtCenter?: unknown;
        autoAdjustOverflow?: unknown;
        destroyTooltipOnHide?: unknown;
        align?: unknown;
        builtinPlacements?: unknown;
        children?: unknown;
        onVisibleChange?: unknown;
        'onUpdate:visible'?: unknown;
    } & {
        overlayStyle: CSSProperties;
        autoAdjustOverflow: boolean | AdjustOverflow;
        align: AlignType;
        builtinPlacements: BuildInPlacements;
    } & {
        placement?: TooltipPlacement | undefined;
        prefixCls?: string | undefined;
        getPopupContainer?: ((triggerNode: HTMLElement) => HTMLElement) | undefined;
        transitionName?: string | undefined;
        children?: unknown[] | undefined;
        title?: any;
        color?: string | undefined;
        trigger?: TriggerType | TriggerType[] | undefined;
        visible?: boolean | undefined;
        defaultVisible?: boolean | undefined;
        overlayClassName?: string | undefined;
        openClassName?: string | undefined;
        mouseEnterDelay?: number | undefined;
        mouseLeaveDelay?: number | undefined;
        arrowPointAtCenter?: boolean | undefined;
        destroyTooltipOnHide?: boolean | undefined;
        onVisibleChange?: ((vis: boolean) => void) | undefined;
        "onUpdate:visible"?: ((vis: boolean) => void) | undefined;
    }> | undefined;
}>, {}>;
export default _default;
