import type { ComputedRef } from 'vue';
import type { TableProps } from '../types/table';
import type { Recordable } from '../../typings/global';
interface Options {
    setSelectedRowKeys: (keys: Key[]) => void;
    getSelectRowKeys: () => (string | number)[];
    clearSelectedRowKeys: () => void;
    emit: (event: any, ...args: any[]) => void;
    getAutoCreateKeyRef: ComputedRef<boolean | undefined>;
}
export declare function useCustomRow(propsRef: ComputedRef<TableProps>, { setSelectedRowKeys, getSelectRowKeys, getAutoCreateKeyRef, clearSelectedRowKeys, emit, }: Options): {
    customRow: (record: Recordable, index: number) => {
        onClick: (e: Event) => void;
        onDblclick: (event: Event) => void;
        onContextmenu: (event: Event) => void;
        onMouseenter: (event: Event) => void;
        onMouseleave: (event: Event) => void;
    };
};
export {};
