import { ButtonProps } from 'ant-design-vue/es/button/buttonTypes';
import { TooltipProps } from 'ant-design-vue/es/tooltip/Tooltip';
export interface ActionItem extends ButtonProps {
    onClick?: (...args: any[]) => any;
    label?: string;
    color?: 'success' | 'error' | 'warning';
    popConfirm?: PopConfirm;
    disabled?: boolean;
    divider?: boolean;
    ifShow?: boolean | ((action: ActionItem) => boolean);
    tooltip?: string | TooltipProps;
    icon?: string;
}
export declare type TitleActionItem = Omit<ActionItem, 'color' | 'tooltip' | 'divider'>;
export interface PopConfirm {
    title: string;
    okText?: string;
    cancelText?: string;
    confirm: (...args: any[]) => any;
    cancel?: (...args: any[]) => any;
    icon?: string;
    placement?: 'top' | 'left' | 'right' | 'bottom' | 'topLeft' | 'topRight' | 'leftTop' | 'leftBottom' | 'rightTop' | 'rightBottom' | 'bottomLeft' | 'bottomRight';
}
