interface ScrollToOpts {
    toPos: number;
    rate: number;
}
/**
 * 缓动动画
 * @param startPos 开始位置
 * @param endPos 结束位置
 * @param rate 速率
 * @param callback 回调
 */
declare function easeout(startPos: number, endPos: number, rate: number, callback: (pos: number, ended: boolean) => any): void;
/**
 * 带缓动的垂直滚动
 * @param opts ScrollToOpts
 */
export declare function animationVerticalScrollTo(el: Element, opts?: ScrollToOpts): void;
/**
 * 带缓动的水平滚动
 * @param opts ScrollToOpts
 */
export declare function animationHorizontalScrollTo(el: Element, opts?: ScrollToOpts): void;
interface ScrollToOptsWithDuration {
    toPos: number;
    duration: number;
}
/**
 * 基于时间的缓动动画
 * @param b beginPos
 * @param e endPos
 * @param d duration
 * @param p prevTime
 * @param c callback
 */
declare function animationBasedDuration(b: number, e: number, d: number, p: number, c: (pos: number, ended: boolean) => any): void;
export declare function animationVerticalScrollToUsingDuration(el: Element, opts?: ScrollToOptsWithDuration): void;
export declare function animationHorizontalScrollToUsingDuration(el: Element, opts?: ScrollToOptsWithDuration): void;
declare const _default: {
    easeout: typeof easeout;
    animationBasedDuration: typeof animationBasedDuration;
    animationVerticalScrollTo: typeof animationVerticalScrollTo;
    animationHorizontalScrollTo: typeof animationHorizontalScrollTo;
    animationVerticalScrollToUsingDuration: typeof animationVerticalScrollToUsingDuration;
    animationHorizontalScrollToUsingDuration: typeof animationHorizontalScrollToUsingDuration;
};
export default _default;
